=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-11-25 01:28:52 +0000
+++ drizzled/Makefile.am	2008-11-25 15:24:22 +0000
@@ -142,7 +142,6 @@
 		rename.h \
 		replication/binlog.h \
 		replication/constants.h \
-		replication/filter.h \
 		replication/mi.h \
 		replication/record.h \
 		replication/replication.h \
@@ -226,7 +225,6 @@
 		records.cc \
 		rename.cc \
 		replication/binlog.cc \
-		replication/filter.cc \
 		replication/mi.cc \
 		replication/record.cc \
 		replication/replication.cc \

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-11-24 23:07:32 +0000
+++ drizzled/drizzled.cc	2008-11-26 02:45:41 +0000
@@ -29,7 +29,8 @@
 #include <drizzled/slave.h>
 #include <drizzled/replication/mi.h>
 #include <drizzled/replication/replication.h>
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
 #include <drizzled/stacktrace.h>
 #include <mysys/mysys_err.h>
 #include <drizzled/error.h>
@@ -42,6 +43,8 @@
 #include <drizzled/session.h>
 #include <drizzled/db.h>
 #include <drizzled/item/create.h>
+#include <drizzled/errmsg.h>
+
 
 #if TIME_WITH_SYS_TIME
 # include <sys/time.h>
@@ -309,37 +312,39 @@
 uint32_t tc_heuristic_recover= 0;
 uint32_t volatile thread_count, thread_running;
 uint64_t session_startup_options;
-ulong back_log, connect_timeout;
+ulong back_log;
+uint64_t connect_timeout;
 uint32_t server_id;
-ulong table_cache_size, table_def_size;
+uint64_t table_cache_size;
+uint64_t table_def_size;
 ulong what_to_log;
-ulong slow_launch_time, slave_open_temp_tables;
+uint64_t slow_launch_time;
+ulong slave_open_temp_tables;
 ulong open_files_limit;
-ulong max_binlog_size;
-ulong max_relay_log_size;
-ulong slave_net_timeout;
-ulong slave_trans_retries;
+uint64_t max_binlog_size;
+uint64_t max_relay_log_size;
+uint64_t slave_net_timeout;
+uint64_t slave_trans_retries;
 bool slave_allow_batching;
 ulong slave_exec_mode_options;
 const char *slave_exec_mode_str= "STRICT";
-ulong thread_cache_size= 0;
-ulong thread_pool_size= 0;
-ulong binlog_cache_size= 0;
-ulong max_binlog_cache_size= 0;
+uint64_t thread_cache_size= 0;
+uint64_t thread_pool_size= 0;
+uint64_t binlog_cache_size= 0;
+uint64_t max_binlog_cache_size= 0;
 uint32_t refresh_version;  /* Increments on each reload */
 ulong aborted_threads;
 ulong aborted_connects;
 ulong specialflag= 0;
 ulong binlog_cache_use= 0;
 ulong binlog_cache_disk_use= 0;
-ulong max_connections;
-ulong max_connect_errors;
+uint64_t max_connections;
+uint64_t max_connect_errors;
 ulong thread_id=1L;
 pid_t current_pid;
 ulong slow_launch_threads = 0;
-ulong sync_binlog_period;
-ulong expire_logs_days = 0;
-ulong rpl_recovery_rank=0;
+uint64_t sync_binlog_period;
+uint64_t expire_logs_days= 0;
 const char *log_output_str= "FILE";
 
 const double log_10[] = {
@@ -411,8 +416,6 @@
 
 I_List<Session> threads;
 I_List<NAMED_LIST> key_caches;
-Rpl_filter* rpl_filter;
-Rpl_filter* binlog_filter;
 
 struct system_variables global_system_variables;
 struct system_variables max_system_variables;
@@ -827,8 +830,6 @@
   if (opt_secure_file_priv)
     free(opt_secure_file_priv);
   bitmap_free(&temp_pool);
-  delete binlog_filter;
-  delete rpl_filter;
 
   (void) my_delete(pidfile_name,MYF(0));	// This may not always exist
 
@@ -1287,15 +1288,15 @@
   fprintf(stderr, "connection_count=%u\n", connection_count);
   fprintf(stderr, _("It is possible that drizzled could use up to \n"
                     "key_buffer_size + (read_buffer_size + "
-                    "sort_buffer_size)*max_threads = %lu K\n"
+                    "sort_buffer_size)*max_threads = %"PRIu64" K\n"
                     "bytes of memory\n"
                     "Hope that's ok; if not, decrease some variables in the "
                     "equation.\n\n"),
-                    ((uint32_t) dflt_key_cache->key_cache_mem_size +
+          (uint64_t)(((uint32_t) dflt_key_cache->key_cache_mem_size +
                      (global_system_variables.read_buff_size +
                       global_system_variables.sortbuff_size) *
                      thread_scheduler.max_threads +
-                     max_connections * sizeof(Session)) / 1024);
+                     max_connections * sizeof(Session)) / 1024));
 
 #ifdef HAVE_STACKTRACE
   Session *session= current_session;
@@ -1843,13 +1844,6 @@
 
   max_system_variables.pseudo_thread_id= UINT32_MAX;
   server_start_time= flush_status_time= my_time(0);
-  rpl_filter= new Rpl_filter;
-  binlog_filter= new Rpl_filter;
-  if (!rpl_filter || !binlog_filter)
-  {
-    sql_perror("Could not allocate replication and binlog filters");
-    exit(1);
-  }
 
   if (init_thread_environment())
     return 1;
@@ -1948,7 +1942,7 @@
                                       table_cache_size);
         if (global_system_variables.log_warnings)
           sql_print_warning(_("Changed limits: max_open_files: %u  "
-                              "max_connections: %ld  table_cache: %ld"),
+                              "max_connections: %"PRIu64"  table_cache: %"PRIu64""),
                             files, max_connections, table_cache_size);
       }
       else if (global_system_variables.log_warnings)
@@ -2302,7 +2296,7 @@
   }
 
   if (opt_bin_log && drizzle_bin_log.open(opt_bin_logname, LOG_BIN, 0,
-                                        WRITE_CACHE, 0, max_binlog_size, 0))
+                                          WRITE_CACHE, 0, max_binlog_size, 0))
     unireg_abort(1);
 
   if (opt_bin_log && expire_logs_days)
@@ -2717,17 +2711,14 @@
   OPT_DELAY_KEY_WRITE,	       OPT_CHARSETS_DIR,
   OPT_MASTER_INFO_FILE,
   OPT_MASTER_RETRY_COUNT,      OPT_LOG_TC, OPT_LOG_TC_SIZE,
-  OPT_SQL_BIN_UPDATE_SAME,     OPT_REPLICATE_DO_DB,
-  OPT_REPLICATE_IGNORE_DB,     OPT_LOG_SLAVE_UPDATES,
-  OPT_BINLOG_DO_DB,            OPT_BINLOG_IGNORE_DB,
+  OPT_SQL_BIN_UPDATE_SAME,
+  OPT_LOG_SLAVE_UPDATES,
   OPT_BINLOG_ROWS_EVENT_MAX_SIZE,
   OPT_WANT_CORE,
   OPT_MEMLOCK,                 OPT_MYISAM_RECOVER,
-  OPT_REPLICATE_REWRITE_DB,    OPT_SERVER_ID,
+  OPT_SERVER_ID,
   OPT_SKIP_SLAVE_START,
-  OPT_REPLICATE_DO_TABLE,
-  OPT_REPLICATE_IGNORE_TABLE,  OPT_REPLICATE_WILD_DO_TABLE,
-  OPT_REPLICATE_WILD_IGNORE_TABLE, OPT_REPLICATE_SAME_SERVER_ID,
+  OPT_REPLICATE_SAME_SERVER_ID,
   OPT_DISCONNECT_SLAVE_EVENT_COUNT, OPT_TC_HEURISTIC_RECOVER,
   OPT_ABORT_SLAVE_EVENT_COUNT,
   OPT_ENGINE_CONDITION_PUSHDOWN,
@@ -2842,13 +2833,13 @@
   {"auto-increment-increment", OPT_AUTO_INCREMENT,
    N_("Auto-increment columns are incremented by this"),
    (char**) &global_system_variables.auto_increment_increment,
-   (char**) &max_system_variables.auto_increment_increment, 0, GET_ULONG,
+   (char**) &max_system_variables.auto_increment_increment, 0, GET_UINT,
    OPT_ARG, 1, 1, 65535, 0, 1, 0 },
   {"auto-increment-offset", OPT_AUTO_INCREMENT_OFFSET,
    N_("Offset added to Auto-increment columns. Used when "
       "auto-increment-increment != 1"),
    (char**) &global_system_variables.auto_increment_offset,
-   (char**) &max_system_variables.auto_increment_offset, 0, GET_ULONG, OPT_ARG,
+   (char**) &max_system_variables.auto_increment_offset, 0, GET_UINT, OPT_ARG,
    1, 1, 65535, 0, 1, 0 },
   {"basedir", 'b',
    N_("Path to installation directory. All paths are usually resolved "
@@ -2858,14 +2849,6 @@
   {"bind-address", OPT_BIND_ADDRESS, N_("IP address to bind to."),
    (char**) &my_bind_addr_str, (char**) &my_bind_addr_str, 0, GET_STR,
    REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"binlog-do-db", OPT_BINLOG_DO_DB,
-   N_("Tells the master it should log updates for the specified database, and "
-      "exclude all others not explicitly mentioned."),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"binlog-ignore-db", OPT_BINLOG_IGNORE_DB,
-   N_("Tells the master that updates to the given database should not "
-      "be logged tothe binary log."),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"binlog-row-event-max-size", OPT_BINLOG_ROWS_EVENT_MAX_SIZE,
    N_("The maximum size of a row-based binary log event in bytes. Rows will "
       "be grouped into events smaller than this size if possible. "
@@ -2905,7 +2888,7 @@
   {"completion-type", OPT_COMPLETION_TYPE,
    N_("Default completion type."),
    (char**) &global_system_variables.completion_type,
-   (char**) &max_system_variables.completion_type, 0, GET_ULONG,
+   (char**) &max_system_variables.completion_type, 0, GET_UINT,
    REQUIRED_ARG, 0, 0, 2, 0, 1, 0},
   {"console", OPT_CONSOLE,
    N_("Write error output on screen."),
@@ -3100,38 +3083,6 @@
       "replication thread is in the relay logs."),
    (char**) &relay_log_info_file, (char**) &relay_log_info_file, 0, GET_STR,
    REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"replicate-do-db", OPT_REPLICATE_DO_DB,
-   N_("Tells the slave thread to restrict replication to the specified "
-      "database. To specify more than one database, use the directive "
-      "multiple times, once for each database. Note that this will only work "
-      "if you do not use cross-database queries such as UPDATE "
-      "some_db.some_table SET foo='bar' while having selected a different or "
-      "no database. If you need cross database updates to work, use "
-      "replicate-wild-do-table=db_name.%."),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"replicate-do-table", OPT_REPLICATE_DO_TABLE,
-   N_("Tells the slave thread to restrict replication to the specified table. "
-      "To specify more than one table, use the directive multiple times, once "
-      "for each table. This will work for cross-database updates, in contrast "
-      "to replicate-do-db."),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"replicate-ignore-db", OPT_REPLICATE_IGNORE_DB,
-   N_("Tells the slave thread to not replicate to the specified database. To "
-      "specify more than one database to ignore, use the directive multiple "
-      "times, once for each database. This option will not work if you use "
-      "cross database updates. If you need cross database updates to work, "
-      "use replicate-wild-ignore-table=db_name.%. "),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"replicate-ignore-table", OPT_REPLICATE_IGNORE_TABLE,
-   N_("Tells the slave thread to not replicate to the specified table. To "
-      "specify more than one table to ignore, use the directive multiple "
-      "times, once for each table. This will work for cross-datbase updates, "
-      "in contrast to replicate-ignore-db."),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"replicate-rewrite-db", OPT_REPLICATE_REWRITE_DB,
-   N_("Updates to a database with a different name than the original. "
-      "Example: replicate-rewrite-db=master_db_name->slave_db_name."),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"replicate-same-server-id", OPT_REPLICATE_SAME_SERVER_ID,
    N_("In replication, if set to 1, do not skip events having our server id. "
       "Default value is 0 (to break infinite loops in circular replication). "
@@ -3139,22 +3090,6 @@
    (char**) &replicate_same_server_id,
    (char**) &replicate_same_server_id,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"replicate-wild-do-table", OPT_REPLICATE_WILD_DO_TABLE,
-   N_("Tells the slave thread to restrict replication to the tables that "
-      "match the specified wildcard pattern. To specify more than one table, "
-      "use the directive multiple times, once for each table. This will work "
-      "for cross-database updates. Example: replicate-wild-do-table=foo%.bar% "
-      "will replicate only updates to tables in all databases that start with "
-      "foo and whose table names start with bar."),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"replicate-wild-ignore-table", OPT_REPLICATE_WILD_IGNORE_TABLE,
-   N_("Tells the slave thread to not replicate to the tables that match the "
-      "given wildcard pattern. To specify more than one table to ignore, use "
-      "the directive multiple times, once for each table. This will work for "
-      "cross-database updates. Example: replicate-wild-ignore-table=foo%.bar% "
-      "will not do updates to tables in databases that start with foo and "
-      "whose table names start with bar."),
-   0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   // In replication, we may need to tell the other servers how to connect
   {"report-host", OPT_REPORT_HOST,
    N_("Hostname or IP of the slave to be reported to to the master during "
@@ -3271,19 +3206,19 @@
     N_("The size of the cache to hold the SQL statements for the binary log "
        "during a transaction. If you often use big, multi-statement "
        "transactions you can increase this to get more performance."),
-    (char**) &binlog_cache_size, (char**) &binlog_cache_size, 0, GET_ULONG,
+    (char**) &binlog_cache_size, (char**) &binlog_cache_size, 0, GET_ULL,
     REQUIRED_ARG, 32*1024L, IO_SIZE, ULONG_MAX, 0, IO_SIZE, 0},
   { "bulk_insert_buffer_size", OPT_BULK_INSERT_BUFFER_SIZE,
     N_("Size of tree cache used in bulk insert optimisation. Note that this is "
        "a limit per thread!"),
     (char**) &global_system_variables.bulk_insert_buff_size,
     (char**) &max_system_variables.bulk_insert_buff_size,
-    0, GET_ULONG, REQUIRED_ARG, 8192*1024, 0, ULONG_MAX, 0, 1, 0},
+    0, GET_ULL, REQUIRED_ARG, 8192*1024, 0, ULONG_MAX, 0, 1, 0},
   { "connect_timeout", OPT_CONNECT_TIMEOUT,
     N_("The number of seconds the drizzled server is waiting for a connect "
        "packet before responding with 'Bad handshake'."),
     (char**) &connect_timeout, (char**) &connect_timeout,
-    0, GET_ULONG, REQUIRED_ARG, CONNECT_TIMEOUT, 2, LONG_TIMEOUT, 0, 1, 0 },
+    0, GET_ULL, REQUIRED_ARG, CONNECT_TIMEOUT, 2, LONG_TIMEOUT, 0, 1, 0 },
   { "date_format", OPT_DATE_FORMAT,
     N_("The DATE format (For future)."),
     (char**) &opt_date_time_formats[DRIZZLE_TIMESTAMP_DATE],
@@ -3303,13 +3238,13 @@
    N_("Precision of the result of '/' operator will be increased on that "
       "value."),
    (char**) &global_system_variables.div_precincrement,
-   (char**) &max_system_variables.div_precincrement, 0, GET_ULONG,
+   (char**) &max_system_variables.div_precincrement, 0, GET_UINT,
    REQUIRED_ARG, 4, 0, DECIMAL_MAX_SCALE, 0, 0, 0},
   { "expire_logs_days", OPT_EXPIRE_LOGS_DAYS,
     N_("If non-zero, binary logs will be purged after expire_logs_days "
        "days; possible purges happen at startup and at binary log rotation."),
     (char**) &expire_logs_days,
-    (char**) &expire_logs_days, 0, GET_ULONG,
+    (char**) &expire_logs_days, 0, GET_ULL,
     REQUIRED_ARG, 0, 0, 99, 0, 1, 0},
   { "group_concat_max_len", OPT_GROUP_CONCAT_MAX_LEN,
     N_("The maximum length of the result of function  group_concat."),
@@ -3372,7 +3307,7 @@
    N_("Can be used to restrict the total size used to cache a "
       "multi-transaction query."),
    (char**) &max_binlog_cache_size, (char**) &max_binlog_cache_size, 0,
-   GET_ULONG, REQUIRED_ARG, ULONG_MAX, IO_SIZE, ULONG_MAX, 0, IO_SIZE, 0},
+   GET_ULL, REQUIRED_ARG, ULONG_MAX, IO_SIZE, ULONG_MAX, 0, IO_SIZE, 0},
   {"max_binlog_size", OPT_MAX_BINLOG_SIZE,
    N_("Binary log will be rotated automatically when the size exceeds this "
       "value. Will also apply to relay logs if max_relay_log_size is 0. "
@@ -3411,7 +3346,7 @@
   {"max_length_for_sort_data", OPT_MAX_LENGTH_FOR_SORT_DATA,
    N_("Max number of bytes in sorted records."),
    (char**) &global_system_variables.max_length_for_sort_data,
-   (char**) &max_system_variables.max_length_for_sort_data, 0, GET_ULONG,
+   (char**) &max_system_variables.max_length_for_sort_data, 0, GET_ULL,
    REQUIRED_ARG, 1024, 4, 8192*1024L, 0, 1, 0},
   {"max_relay_log_size", OPT_MAX_RELAY_LOG_SIZE,
    N_("If non-zero: relay log will be rotated automatically when the size "
@@ -3430,7 +3365,7 @@
       "(only the first max_sort_length bytes of each value are used; the "
       "rest are ignored)."),
    (char**) &global_system_variables.max_sort_length,
-   (char**) &max_system_variables.max_sort_length, 0, GET_ULONG,
+   (char**) &max_system_variables.max_sort_length, 0, GET_UINT,
    REQUIRED_ARG, 1024, 4, 8192*1024L, 0, 1, 0},
   {"max_tmp_tables", OPT_MAX_TMP_TABLES,
    N_("Maximum number of temporary tables a client can keep open at a time."),
@@ -3439,13 +3374,13 @@
    REQUIRED_ARG, 32, 1, ULONG_MAX, 0, 1, 0},
   {"max_write_lock_count", OPT_MAX_WRITE_LOCK_COUNT,
    N_("After this many write locks, allow some read locks to run in between."),
-   (char**) &max_write_lock_count, (char**) &max_write_lock_count, 0, GET_ULONG,
+   (char**) &max_write_lock_count, (char**) &max_write_lock_count, 0, GET_ULL,
    REQUIRED_ARG, ULONG_MAX, 1, ULONG_MAX, 0, 1, 0},
   {"min_examined_row_limit", OPT_MIN_EXAMINED_ROW_LIMIT,
    N_("Don't log queries which examine less than min_examined_row_limit "
       "rows to file."),
    (char**) &global_system_variables.min_examined_row_limit,
-   (char**) &max_system_variables.min_examined_row_limit, 0, GET_ULONG,
+   (char**) &max_system_variables.min_examined_row_limit, 0, GET_ULL,
    REQUIRED_ARG, 0, 0, ULONG_MAX, 0, 1L, 0},
   {"myisam_block_size", OPT_MYISAM_BLOCK_SIZE,
    N_("Block size to be used for MyISAM index pages."),
@@ -3517,16 +3452,16 @@
       "descriptors to use with setrlimit(). If this value is 0 then drizzled "
       "will reserve max_connections*5 or max_connections + table_cache*2 "
       "(whichever is larger) number of files."),
-   (char**) &open_files_limit, (char**) &open_files_limit, 0, GET_ULONG,
+   (char**) &open_files_limit, (char**) &open_files_limit, 0, GET_ULL,
    REQUIRED_ARG, 0, 0, OS_FILE_LIMIT, 0, 1, 0},
   {"optimizer_prune_level", OPT_OPTIMIZER_PRUNE_LEVEL,
-   N_("Controls the heuristic(s) applied during query optimization to prune "
-      "less-promising partial plans from the optimizer search space. Meaning: "
-      "0 - do not apply any heuristic, thus perform exhaustive search; "
-      "1 - prune plans based on number of retrieved rows."),
-   (char**) &global_system_variables.optimizer_prune_level,
-   (char**) &max_system_variables.optimizer_prune_level,
-   0, GET_ULONG, OPT_ARG, 1, 0, 1, 0, 1, 0},
+    N_("Controls the heuristic(s) applied during query optimization to prune "
+       "less-promising partial plans from the optimizer search space. Meaning: "
+       "false - do not apply any heuristic, thus perform exhaustive search; "
+       "true - prune plans based on number of retrieved rows."),
+    (char**) &global_system_variables.optimizer_prune_level,
+    (char**) &max_system_variables.optimizer_prune_level,
+    0, GET_BOOL, OPT_ARG, 1, 0, 1, 0, 1, 0},
   {"optimizer_search_depth", OPT_OPTIMIZER_SEARCH_DEPTH,
    N_("Maximum depth of search performed by the query optimizer. Values "
       "larger than the number of relations in a query result in better query "
@@ -3538,7 +3473,7 @@
       "testing/comparison)."),
    (char**) &global_system_variables.optimizer_search_depth,
    (char**) &max_system_variables.optimizer_search_depth,
-   0, GET_ULONG, OPT_ARG, MAX_TABLES+1, 0, MAX_TABLES+2, 0, 1, 0},
+   0, GET_UINT, OPT_ARG, MAX_TABLES+1, 0, MAX_TABLES+2, 0, 1, 0},
   {"plugin_dir", OPT_PLUGIN_DIR,
    N_("Directory for plugins."),
    (char**) &opt_plugin_dir_ptr, (char**) &opt_plugin_dir_ptr, 0,
@@ -3552,17 +3487,17 @@
   {"preload_buffer_size", OPT_PRELOAD_BUFFER_SIZE,
    N_("The size of the buffer that is allocated when preloading indexes"),
    (char**) &global_system_variables.preload_buff_size,
-   (char**) &max_system_variables.preload_buff_size, 0, GET_ULONG,
+   (char**) &max_system_variables.preload_buff_size, 0, GET_ULL,
    REQUIRED_ARG, 32*1024L, 1024, 1024*1024*1024L, 0, 1, 0},
   {"query_alloc_block_size", OPT_QUERY_ALLOC_BLOCK_SIZE,
    N_("Allocation block size for query parsing and execution"),
    (char**) &global_system_variables.query_alloc_block_size,
-   (char**) &max_system_variables.query_alloc_block_size, 0, GET_ULONG,
+   (char**) &max_system_variables.query_alloc_block_size, 0, GET_UINT,
    REQUIRED_ARG, QUERY_ALLOC_BLOCK_SIZE, 1024, ULONG_MAX, 0, 1024, 0},
   {"query_prealloc_size", OPT_QUERY_PREALLOC_SIZE,
    N_("Persistent buffer for query parsing and execution"),
    (char**) &global_system_variables.query_prealloc_size,
-   (char**) &max_system_variables.query_prealloc_size, 0, GET_ULONG,
+   (char**) &max_system_variables.query_prealloc_size, 0, GET_UINT,
    REQUIRED_ARG, QUERY_ALLOC_PREALLOC_SIZE, QUERY_ALLOC_PREALLOC_SIZE,
    ULONG_MAX, 0, 1024, 0},
   {"range_alloc_block_size", OPT_RANGE_ALLOC_BLOCK_SIZE,
@@ -3572,13 +3507,13 @@
    REQUIRED_ARG, RANGE_ALLOC_BLOCK_SIZE, RANGE_ALLOC_BLOCK_SIZE, ULONG_MAX,
    0, 1024, 0},
   {"read_buffer_size", OPT_RECORD_BUFFER,
-   N_("Each thread that does a sequential scan allocates a buffer of this "
-      "size for each table it scans. If you do many sequential scans, you may "
-      "want to increase this value."),
-   (char**) &global_system_variables.read_buff_size,
-   (char**) &max_system_variables.read_buff_size,0, GET_ULONG, REQUIRED_ARG,
-   128*1024L, IO_SIZE*2+MALLOC_OVERHEAD, INT32_MAX, MALLOC_OVERHEAD, IO_SIZE,
-   0},
+    N_("Each thread that does a sequential scan allocates a buffer of this "
+       "size for each table it scans. If you do many sequential scans, you may "
+       "want to increase this value."),
+    (char**) &global_system_variables.read_buff_size,
+    (char**) &max_system_variables.read_buff_size,0, GET_UINT, REQUIRED_ARG,
+    128*1024L, IO_SIZE*2+MALLOC_OVERHEAD, INT32_MAX, MALLOC_OVERHEAD, IO_SIZE,
+    0},
   {"read_only", OPT_READONLY,
    N_("Make all non-temporary tables read-only, with the exception for "
       "replication (slave) threads and users with the SUPER privilege"),
@@ -3591,14 +3526,8 @@
       "to the value of record_buffer."),
    (char**) &global_system_variables.read_rnd_buff_size,
    (char**) &max_system_variables.read_rnd_buff_size, 0,
-   GET_ULONG, REQUIRED_ARG, 256*1024L, 64 /*IO_SIZE*2+MALLOC_OVERHEAD*/ ,
-   INT32_MAX, MALLOC_OVERHEAD, 1 /* Small lower limit to be able to test MRR */, 0},
-  {"record_buffer", OPT_RECORD_BUFFER,
-   "Alias for read_buffer_size",
-   (char**) &global_system_variables.read_buff_size,
-   (char**) &max_system_variables.read_buff_size,0, GET_ULONG, REQUIRED_ARG,
-   128*1024L, IO_SIZE*2+MALLOC_OVERHEAD,
-   INT32_MAX, MALLOC_OVERHEAD, IO_SIZE, 0},
+   GET_UINT, REQUIRED_ARG, 256*1024L, 64 /*IO_SIZE*2+MALLOC_OVERHEAD*/ ,
+   UINT32_MAX, MALLOC_OVERHEAD, 1 /* Small lower limit to be able to test MRR */, 0},
   {"relay_log_purge", OPT_RELAY_LOG_PURGE,
    N_("0 = do not purge relay logs. "
       "1 = purge them as soon as they are no more needed."),
@@ -3619,13 +3548,13 @@
    N_("Number of seconds to wait for more data from a master/slave connection "
       "before aborting the read."),
    (char**) &slave_net_timeout, (char**) &slave_net_timeout, 0,
-   GET_ULONG, REQUIRED_ARG, SLAVE_NET_TIMEOUT, 1, LONG_TIMEOUT, 0, 1, 0},
+   GET_UINT, REQUIRED_ARG, SLAVE_NET_TIMEOUT, 1, LONG_TIMEOUT, 0, 1, 0},
   {"slave_transaction_retries", OPT_SLAVE_TRANS_RETRIES,
    N_("Number of times the slave SQL thread will retry a transaction in case "
       "it failed with a deadlock or elapsed lock wait timeout, "
       "before giving up and stopping."),
    (char**) &slave_trans_retries, (char**) &slave_trans_retries, 0,
-   GET_ULONG, REQUIRED_ARG, 10L, 0L, (int64_t) ULONG_MAX, 0, 1, 0},
+   GET_ULL, REQUIRED_ARG, 10L, 0L, (int64_t) ULONG_MAX, 0, 1, 0},
   {"slave-allow-batching", OPT_SLAVE_ALLOW_BATCHING,
    N_("Allow slave to batch requests."),
    (char**) &slave_allow_batching, (char**) &slave_allow_batching,
@@ -3633,23 +3562,23 @@
   {"slow_launch_time", OPT_SLOW_LAUNCH_TIME,
    N_("If creating the thread takes longer than this value (in seconds), the "
       "Slow_launch_threads counter will be incremented."),
-   (char**) &slow_launch_time, (char**) &slow_launch_time, 0, GET_ULONG,
+   (char**) &slow_launch_time, (char**) &slow_launch_time, 0, GET_ULL,
    REQUIRED_ARG, 2L, 0L, LONG_TIMEOUT, 0, 1, 0},
   {"sort_buffer_size", OPT_SORT_BUFFER,
    N_("Each thread that needs to do a sort allocates a buffer of this size."),
    (char**) &global_system_variables.sortbuff_size,
-   (char**) &max_system_variables.sortbuff_size, 0, GET_ULONG, REQUIRED_ARG,
-   MAX_SORT_MEMORY, MIN_SORT_MEMORY+MALLOC_OVERHEAD*2, ULONG_MAX,
+   (char**) &max_system_variables.sortbuff_size, 0, GET_ULL, REQUIRED_ARG,
+   MAX_SORT_MEMORY, MIN_SORT_MEMORY+MALLOC_OVERHEAD*2, UINT64_MAX,
    MALLOC_OVERHEAD, 1, 0},
   {"sync-binlog", OPT_SYNC_BINLOG,
    N_("Synchronously flush binary log to disk after every #th event. "
       "Use 0 (default) to disable synchronous flushing."),
-   (char**) &sync_binlog_period, (char**) &sync_binlog_period, 0, GET_ULONG,
+   (char**) &sync_binlog_period, (char**) &sync_binlog_period, 0, GET_ULL,
    REQUIRED_ARG, 0, 0, ULONG_MAX, 0, 1, 0},
   {"table_definition_cache", OPT_TABLE_DEF_CACHE,
    N_("The number of cached table definitions."),
    (char**) &table_def_size, (char**) &table_def_size,
-   0, GET_ULONG, REQUIRED_ARG, 128, 1, 512*1024L, 0, 1, 0},
+   0, GET_ULL, REQUIRED_ARG, 128, 1, 512*1024L, 0, 1, 0},
   {"table_open_cache", OPT_TABLE_OPEN_CACHE,
    N_("The number of cached open tables."),
    (char**) &table_cache_size, (char**) &table_cache_size, 0, GET_ULONG,
@@ -3658,16 +3587,16 @@
    N_("Timeout in seconds to wait for a table level lock before returning an "
       "error. Used only if the connection has active cursors."),
    (char**) &table_lock_wait_timeout, (char**) &table_lock_wait_timeout,
-   0, GET_ULONG, REQUIRED_ARG, 50, 1, 1024 * 1024 * 1024, 0, 1, 0},
+   0, GET_ULL, REQUIRED_ARG, 50, 1, 1024 * 1024 * 1024, 0, 1, 0},
   {"thread_cache_size", OPT_THREAD_CACHE_SIZE,
    N_("How many threads we should keep in a cache for reuse."),
    (char**) &thread_cache_size, (char**) &thread_cache_size, 0, GET_ULONG,
    REQUIRED_ARG, 0, 0, 16384, 0, 1, 0},
   {"thread_pool_size", OPT_THREAD_CACHE_SIZE,
-   N_("How many threads we should create to handle query requests in case of "
-      "'thread_handling=pool-of-threads'"),
-   (char**) &thread_pool_size, (char**) &thread_pool_size, 0, GET_ULONG,
-   REQUIRED_ARG, 8, 1, 16384, 0, 1, 0},
+    N_("How many threads we should create to handle query requests in case of "
+       "'thread_handling=pool-of-threads'"),
+    (char**) &thread_pool_size, (char**) &thread_pool_size, 0, GET_ULL,
+    REQUIRED_ARG, 8, 1, 16384, 0, 1, 0},
   {"thread_stack", OPT_THREAD_STACK,
    N_("The stack size for each thread."),
    (char**) &my_thread_stack_size,
@@ -3688,18 +3617,18 @@
   {"transaction_alloc_block_size", OPT_TRANS_ALLOC_BLOCK_SIZE,
    N_("Allocation block size for transactions to be stored in binary log"),
    (char**) &global_system_variables.trans_alloc_block_size,
-   (char**) &max_system_variables.trans_alloc_block_size, 0, GET_ULONG,
+   (char**) &max_system_variables.trans_alloc_block_size, 0, GET_UINT,
    REQUIRED_ARG, QUERY_ALLOC_BLOCK_SIZE, 1024, ULONG_MAX, 0, 1024, 0},
   {"transaction_prealloc_size", OPT_TRANS_PREALLOC_SIZE,
    N_("Persistent buffer for transactions to be stored in binary log"),
    (char**) &global_system_variables.trans_prealloc_size,
-   (char**) &max_system_variables.trans_prealloc_size, 0, GET_ULONG,
+   (char**) &max_system_variables.trans_prealloc_size, 0, GET_UINT,
    REQUIRED_ARG, TRANS_ALLOC_PREALLOC_SIZE, 1024, ULONG_MAX, 0, 1024, 0},
   {"wait_timeout", OPT_WAIT_TIMEOUT,
    N_("The number of seconds the server waits for activity on a connection "
       "before closing it."),
    (char**) &global_system_variables.net_wait_timeout,
-   (char**) &max_system_variables.net_wait_timeout, 0, GET_ULONG,
+   (char**) &max_system_variables.net_wait_timeout, 0, GET_UINT,
    REQUIRED_ARG, NET_WAIT_TIMEOUT, 1, LONG_TIMEOUT,
    0, 1, 0},
   {0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
@@ -4172,96 +4101,6 @@
   case (int) OPT_ERROR_LOG_FILE:
     opt_error_log= 1;
     break;
-  case (int)OPT_REPLICATE_IGNORE_DB:
-    {
-      rpl_filter->add_ignore_db(argument);
-      break;
-    }
-  case (int)OPT_REPLICATE_DO_DB:
-    {
-      rpl_filter->add_do_db(argument);
-      break;
-    }
-  case (int)OPT_REPLICATE_REWRITE_DB:
-    {
-      char* key = argument,*p, *val;
-
-      if (!(p= strstr(argument, "->")))
-      {
-        fprintf(stderr,
-                _("Bad syntax in replicate-rewrite-db - missing '->'!\n"));
-        exit(1);
-      }
-      val= p--;
-      while (my_isspace(mysqld_charset, *p) && p > argument)
-        *p-- = 0;
-      if (p == argument)
-      {
-        fprintf(stderr,
-                _("Bad syntax in replicate-rewrite-db - empty FROM db!\n"));
-        exit(1);
-      }
-      *val= 0;
-      val+= 2;
-      while (*val && my_isspace(mysqld_charset, *val))
-        *val++;
-      if (!*val)
-      {
-        fprintf(stderr,
-                _("Bad syntax in replicate-rewrite-db - empty TO db!\n"));
-        exit(1);
-      }
-
-      rpl_filter->add_db_rewrite(key, val);
-      break;
-    }
-
-  case (int)OPT_BINLOG_IGNORE_DB:
-    {
-      binlog_filter->add_ignore_db(argument);
-      break;
-    }
-  case (int)OPT_BINLOG_DO_DB:
-    {
-      binlog_filter->add_do_db(argument);
-      break;
-    }
-  case (int)OPT_REPLICATE_DO_TABLE:
-    {
-      if (rpl_filter->add_do_table(argument))
-      {
-        fprintf(stderr, _("Could not add do table rule '%s'!\n"), argument);
-        exit(1);
-      }
-      break;
-    }
-  case (int)OPT_REPLICATE_WILD_DO_TABLE:
-    {
-      if (rpl_filter->add_wild_do_table(argument))
-      {
-        fprintf(stderr, _("Could not add do table rule '%s'!\n"), argument);
-        exit(1);
-      }
-      break;
-    }
-  case (int)OPT_REPLICATE_WILD_IGNORE_TABLE:
-    {
-      if (rpl_filter->add_wild_ignore_table(argument))
-      {
-        fprintf(stderr, _("Could not add ignore table rule '%s'!\n"), argument);
-        exit(1);
-      }
-      break;
-    }
-  case (int)OPT_REPLICATE_IGNORE_TABLE:
-    {
-      if (rpl_filter->add_ignore_table(argument))
-      {
-        fprintf(stderr, _("Could not add ignore table rule '%s'!\n"), argument);
-        exit(1);
-      }
-      break;
-    }
   case (int) OPT_WANT_CORE:
     test_flags |= TEST_CORE_ON_SIGNAL;
     break;
@@ -4433,7 +4272,7 @@
   /* Don't print warnings for --loose options during bootstrap */
   if (level == ERROR_LEVEL || global_system_variables.log_warnings)
   {
-    vprint_msg_to_log(level, format, args);
+    errmsg_vprintf (current_session, ERROR_LEVEL, format, args);
   }
   va_end(args);
 }

=== modified file 'drizzled/field/blob.h'
--- drizzled/field/blob.h	2008-11-19 08:07:10 +0000
+++ drizzled/field/blob.h	2008-11-25 19:51:05 +0000
@@ -31,7 +31,7 @@
   Field_blob(unsigned char *ptr_arg, unsigned char *null_ptr_arg, unsigned char null_bit_arg,
 	     enum utype unireg_check_arg, const char *field_name_arg,
 	     TABLE_SHARE *share, uint32_t blob_pack_length, const CHARSET_INFO * const cs);
-  Field_blob(uint32_t len_arg,bool maybe_null_arg, const char *field_name_arg,
+  Field_blob(uint32_t len_arg, bool maybe_null_arg, const char *field_name_arg,
              const CHARSET_INFO * const cs)
     :Field_longstr((unsigned char*) 0, len_arg, maybe_null_arg ? (unsigned char*) "": 0, 0,
                    NONE, field_name_arg, cs),
@@ -39,7 +39,7 @@
   {
     flags|= BLOB_FLAG;
   }
-  Field_blob(uint32_t len_arg,bool maybe_null_arg, const char *field_name_arg,
+  Field_blob(uint32_t len_arg, bool maybe_null_arg, const char *field_name_arg,
 	     const CHARSET_INFO * const cs, bool set_packlength)
     :Field_longstr((unsigned char*) 0,len_arg, maybe_null_arg ? (unsigned char*) "": 0, 0,
                    NONE, field_name_arg, cs)

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-11-21 23:53:09 +0000
+++ drizzled/handler.cc	2008-11-25 15:24:22 +0000
@@ -24,7 +24,8 @@
 */
 
 #include <drizzled/server_includes.h>
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>
 #include <drizzled/data_home.h>
@@ -4288,8 +4289,7 @@
 {
   if (table->s->cached_row_logging_check == -1)
   {
-    int const check(table->s->tmp_table == NO_TMP_TABLE &&
-                    binlog_filter->db_ok(table->s->db.str));
+    int const check(table->s->tmp_table == NO_TMP_TABLE);
     table->s->cached_row_logging_check= check;
   }
 

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-11-21 05:54:03 +0000
+++ drizzled/log.cc	2008-11-26 00:54:55 +0000
@@ -26,7 +26,8 @@
 
 #include <drizzled/server_includes.h>
 #include <drizzled/replication/replication.h>
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
 #include <drizzled/replication/rli.h>
 
 #include <mysys/my_dir.h>
@@ -2491,9 +2492,7 @@
       "do the involved tables match (to be implemented)
       binlog_[wild_]{do|ignore}_table?" (WL#1049)"
     */
-    const char *local_db= event_info->get_db();
-    if ((session && !(session->options & OPTION_BIN_LOG)) ||
-	(!binlog_filter->db_ok(local_db)))
+    if (session && !(session->options & OPTION_BIN_LOG))
     {
       pthread_mutex_unlock(&LOCK_log);
       return(0);
@@ -3100,67 +3099,6 @@
   return;
 }
 
-/**
-  Prints a printf style message to the error log and, under NT, to the
-  Windows event log.
-
-  This function prints the message into a buffer and then sends that buffer
-  to other functions to write that message to other logging sources.
-
-  @param event_type          Type of event to write (Error, Warning, or Info)
-  @param format              Printf style format of message
-  @param args                va_list list of arguments for the message
-
-  @returns
-    The function always returns 0. The return value is present in the
-    signature to be compatible with other logging routines, which could
-    return an error (e.g. logging to the log tables)
-*/
-static void print_buffer_to_file(enum loglevel level, int,
-                                 const char *buffer, size_t)
-{
-  time_t skr;
-  struct tm tm_tmp;
-  struct tm *start;
-
-  pthread_mutex_lock(&LOCK_error_log);
-
-  skr= my_time(0);
-  localtime_r(&skr, &tm_tmp);
-  start=&tm_tmp;
-
-  fprintf(stderr, "%02d%02d%02d %2d:%02d:%02d [%s] %s\n",
-          start->tm_year % 100,
-          start->tm_mon+1,
-          start->tm_mday,
-          start->tm_hour,
-          start->tm_min,
-          start->tm_sec,
-          (level == ERROR_LEVEL ? "ERROR" : level == WARNING_LEVEL ?
-           "Warning" : "Note"),
-          buffer);
-
-  fflush(stderr);
-
-  pthread_mutex_unlock(&LOCK_error_log);
-  return;
-}
-
-
-int vprint_msg_to_log(enum loglevel level, const char *format, va_list args)
-{
-  char   buff[1024];
-  size_t length;
-  int error_code= errno;
-
-  length= vsnprintf(buff, sizeof(buff), format, args);
-
-  print_buffer_to_file(level, error_code, buff, length);
-
-  return(0);
-}
-
-
 void sql_print_error(const char *format, ...) 
 {
   va_list args;

=== modified file 'drizzled/log.h'
--- drizzled/log.h	2008-11-22 23:34:06 +0000
+++ drizzled/log.h	2008-11-25 08:44:48 +0000
@@ -415,7 +415,6 @@
 
 extern TYPELIB binlog_format_typelib;
 
-int vprint_msg_to_log(enum loglevel level, const char *format, va_list args);
 void sql_print_error(const char *format, ...) __attribute__((format(printf, 1, 2)));
 void sql_print_warning(const char *format, ...) __attribute__((format(printf, 1, 2)));
 void sql_print_information(const char *format, ...)

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-11-23 00:59:08 +0000
+++ drizzled/log_event.cc	2008-11-25 15:24:22 +0000
@@ -21,7 +21,8 @@
 #include <drizzled/log_event.h>
 #include <drizzled/replication/rli.h>
 #include <drizzled/replication/mi.h>
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
 #include <drizzled/replication/utility.h>
 #include <drizzled/replication/record.h>
 #include <mysys/my_dir.h>
@@ -443,7 +444,6 @@
   case STOP_EVENT:   return "Stop";
   case QUERY_EVENT:  return "Query";
   case ROTATE_EVENT: return "Rotate";
-  case INTVAR_EVENT: return "Intvar";
   case LOAD_EVENT:   return "Load";
   case NEW_LOAD_EVENT:   return "New_load";
   case SLAVE_EVENT:  return "Slave";
@@ -451,14 +451,9 @@
   case APPEND_BLOCK_EVENT: return "Append_block";
   case DELETE_FILE_EVENT: return "Delete_file";
   case EXEC_LOAD_EVENT: return "Exec_load";
-  case RAND_EVENT: return "RAND";
   case XID_EVENT: return "Xid";
-  case USER_VAR_EVENT: return "User var";
   case FORMAT_DESCRIPTION_EVENT: return "Format_desc";
   case TABLE_MAP_EVENT: return "Table_map";
-  case PRE_GA_WRITE_ROWS_EVENT: return "Write_rows_event_old";
-  case PRE_GA_UPDATE_ROWS_EVENT: return "Update_rows_event_old";
-  case PRE_GA_DELETE_ROWS_EVENT: return "Delete_rows_event_old";
   case WRITE_ROWS_EVENT: return "Write_rows";
   case UPDATE_ROWS_EVENT: return "Update_rows";
   case DELETE_ROWS_EVENT: return "Delete_rows";
@@ -997,18 +992,9 @@
     case STOP_EVENT:
       ev = new Stop_log_event(buf, description_event);
       break;
-    case INTVAR_EVENT:
-      ev = new Intvar_log_event(buf, description_event);
-      break;
     case XID_EVENT:
       ev = new Xid_log_event(buf, description_event);
       break;
-    case RAND_EVENT:
-      ev = new Rand_log_event(buf, description_event);
-      break;
-    case USER_VAR_EVENT:
-      ev = new User_var_log_event(buf, description_event);
-      break;
     case FORMAT_DESCRIPTION_EVENT:
       ev = new Format_description_log_event(buf, event_len, description_event);
       break;
@@ -1513,7 +1499,6 @@
 int Query_log_event::do_apply_event(Relay_log_info const *rli,
                                       const char *query_arg, uint32_t q_len_arg)
 {
-  LEX_STRING new_db;
   int expected_error,actual_error= 0;
   Query_id &query_id= Query_id::get_query_id();
   /*
@@ -1524,9 +1509,7 @@
     you.
   */
   session->catalog= catalog_len ? (char *) catalog : (char *)"";
-  new_db.length= db_len;
-  new_db.str= (char *) rpl_filter->get_rewrite_db(db, &new_db.length);
-  session->set_db(new_db.str, new_db.length);       /* allocates a copy of 'db' */
+  session->set_db(db, strlen(db));       /* allocates a copy of 'db' */
   session->variables.auto_increment_increment= auto_increment_increment;
   session->variables.auto_increment_offset=    auto_increment_offset;
 
@@ -1555,7 +1538,7 @@
             ::do_apply_event(), then the companion SET also have so
             we don't need to reset_one_shot_variables().
   */
-  if (rpl_filter->db_ok(session->db))
+  if (1)
   {
     session->set_time((time_t)when);
     session->query_length= q_len_arg;
@@ -1981,7 +1964,6 @@
       post_header_len[QUERY_EVENT-1]= QUERY_HEADER_MINIMAL_LEN;
       post_header_len[STOP_EVENT-1]= 0;
       post_header_len[ROTATE_EVENT-1]= (binlog_ver==1) ? 0 : ROTATE_HEADER_LEN;
-      post_header_len[INTVAR_EVENT-1]= 0;
       post_header_len[LOAD_EVENT-1]= LOAD_HEADER_LEN;
       post_header_len[SLAVE_EVENT-1]= 0;
       post_header_len[CREATE_FILE_EVENT-1]= CREATE_FILE_HEADER_LEN;
@@ -1989,8 +1971,6 @@
       post_header_len[EXEC_LOAD_EVENT-1]= EXEC_LOAD_HEADER_LEN;
       post_header_len[DELETE_FILE_EVENT-1]= DELETE_FILE_HEADER_LEN;
       post_header_len[NEW_LOAD_EVENT-1]= post_header_len[LOAD_EVENT-1];
-      post_header_len[RAND_EVENT-1]= 0;
-      post_header_len[USER_VAR_EVENT-1]= 0;
     }
     break;
   default: /* Includes binlog version 2 i.e. 4.0.x x<=1 */
@@ -2115,15 +2095,11 @@
     static const uint8_t perm[23]=
       {
         UNKNOWN_EVENT, START_EVENT_V3, QUERY_EVENT, STOP_EVENT, ROTATE_EVENT,
-        INTVAR_EVENT, LOAD_EVENT, SLAVE_EVENT, CREATE_FILE_EVENT,
+        LOAD_EVENT, SLAVE_EVENT, CREATE_FILE_EVENT,
         APPEND_BLOCK_EVENT, EXEC_LOAD_EVENT, DELETE_FILE_EVENT,
         NEW_LOAD_EVENT,
-        RAND_EVENT, USER_VAR_EVENT,
         FORMAT_DESCRIPTION_EVENT,
         TABLE_MAP_EVENT,
-        PRE_GA_WRITE_ROWS_EVENT,
-        PRE_GA_UPDATE_ROWS_EVENT,
-        PRE_GA_DELETE_ROWS_EVENT,
         XID_EVENT,
         BEGIN_LOAD_QUERY_EVENT,
         EXECUTE_LOAD_QUERY_EVENT,
@@ -2662,11 +2638,8 @@
 int Load_log_event::do_apply_event(NET* net, Relay_log_info const *rli,
                                    bool use_rli_only_for_errors)
 {
-  LEX_STRING new_db;
   Query_id &query_id= Query_id::get_query_id();
-  new_db.length= db_len;
-  new_db.str= (char *) rpl_filter->get_rewrite_db(db, &new_db.length);
-  session->set_db(new_db.str, new_db.length);
+  session->set_db(db, strlen(db));
   assert(session->query == 0);
   session->query_length= 0;                         // Should not be needed
   session->is_slave_error= 0;
@@ -2713,7 +2686,7 @@
             ::do_apply_event(), then the companion SET also have so
             we don't need to reset_one_shot_variables().
   */
-  if (rpl_filter->db_ok(session->db))
+  if (1)
   {
     session->set_time((time_t)when);
     session->query_id = query_id.next();
@@ -2733,13 +2706,6 @@
     tables.updating= 1;
 
     // the table will be opened in mysql_load    
-    if (rpl_filter->is_on() && !rpl_filter->tables_ok(session->db, &tables))
-    {
-      // TODO: this is a bug - this needs to be moved to the I/O thread
-      if (net)
-        skip_load_data_infile(net);
-    }
-    else
     {
       char llbuff[22];
       char *end;
@@ -2768,7 +2734,7 @@
 
       if (sql_ex.opt_flags & REPLACE_FLAG)
       {
-	handle_dup= DUP_REPLACE;
+        handle_dup= DUP_REPLACE;
       }
       else if (sql_ex.opt_flags & IGNORE_FLAG)
       {
@@ -2778,14 +2744,14 @@
       else
       {
         /*
-	  When replication is running fine, if it was DUP_ERROR on the
+          When replication is running fine, if it was DUP_ERROR on the
           master then we could choose IGNORE here, because if DUP_ERROR
           suceeded on master, and data is identical on the master and slave,
           then there should be no uniqueness errors on slave, so IGNORE is
           the same as DUP_ERROR. But in the unlikely case of uniqueness errors
           (because the data on the master and slave happen to be different
-	  (user error or bug), we want LOAD DATA to print an error message on
-	  the slave to discover the problem.
+          (user error or bug), we want LOAD DATA to print an error message on
+          the slave to discover the problem.
 
           If reading from net (a 3.23 master), mysql_load() will change this
           to IGNORE.
@@ -2817,7 +2783,7 @@
 
       ex.opt_enclosed = (sql_ex.opt_flags & OPT_ENCLOSED_FLAG);
       if (sql_ex.empty_flags & FIELD_TERM_EMPTY)
-	ex.field_term->length(0);
+        ex.field_term->length(0);
 
       ex.skip_lines = skip_lines;
       List<Item> field_list;
@@ -2826,12 +2792,12 @@
       session->variables.pseudo_thread_id= thread_id;
       if (net)
       {
-	// mysql_load will use session->net to read the file
-	session->net.vio = net->vio;
-	/*
-	  Make sure the client does not get confused about the packet sequence
-	*/
-	session->net.pkt_nr = net->pkt_nr;
+        // mysql_load will use session->net to read the file
+        session->net.vio = net->vio;
+        /*
+          Make sure the client does not get confused about the packet sequence
+        */
+        session->net.pkt_nr = net->pkt_nr;
       }
       /*
         It is safe to use tmp_list twice because we are not going to
@@ -2843,10 +2809,10 @@
         session->is_slave_error= 1;
       if (session->cuted_fields)
       {
-	/* log_pos is the position of the LOAD event in the master log */
+        /* log_pos is the position of the LOAD event in the master log */
         sql_print_warning(_("Slave: load data infile on table '%s' at "
-                          "log position %s in log '%s' produced %ld "
-                          "warning(s). Default database: '%s'"),
+                            "log position %s in log '%s' produced %ld "
+                            "warning(s). Default database: '%s'"),
                           (char*) table_name,
                           llstr(log_pos,llbuff), RPL_LOG_NAME, 
                           (ulong) session->cuted_fields,
@@ -3073,186 +3039,6 @@
 
 
 /**************************************************************************
-	Intvar_log_event methods
-**************************************************************************/
-
-/*
-  Intvar_log_event::pack_info()
-*/
-
-void Intvar_log_event::pack_info(Protocol *protocol)
-{
-  char buf[256], *pos;
-  pos= strmake(buf, get_var_type_name(), sizeof(buf)-23);
-  *pos++= '=';
-  pos= int64_t10_to_str(val, pos, -10);
-  protocol->store(buf, (uint) (pos-buf), &my_charset_bin);
-}
-
-
-/*
-  Intvar_log_event::Intvar_log_event()
-*/
-
-Intvar_log_event::Intvar_log_event(const char* buf,
-                                   const Format_description_log_event* description_event)
-  :Log_event(buf, description_event)
-{
-  buf+= description_event->common_header_len;
-  type= buf[I_TYPE_OFFSET];
-  val= uint8korr(buf+I_VAL_OFFSET);
-}
-
-
-/*
-  Intvar_log_event::get_var_type_name()
-*/
-
-const char* Intvar_log_event::get_var_type_name()
-{
-  switch(type) {
-  case LAST_INSERT_ID_EVENT: return "LAST_INSERT_ID";
-  case INSERT_ID_EVENT: return "INSERT_ID";
-  default: /* impossible */ return "UNKNOWN";
-  }
-}
-
-
-/*
-  Intvar_log_event::write()
-*/
-
-bool Intvar_log_event::write(IO_CACHE* file)
-{
-  unsigned char buf[9];
-  buf[I_TYPE_OFFSET]= (unsigned char) type;
-  int8store(buf + I_VAL_OFFSET, val);
-  return (write_header(file, sizeof(buf)) ||
-          my_b_safe_write(file, buf, sizeof(buf)));
-}
-
-
-/*
-  Intvar_log_event::print()
-*/
-
-/*
-  Intvar_log_event::do_apply_event()
-*/
-
-int Intvar_log_event::do_apply_event(Relay_log_info const *rli)
-{
-  /*
-    We are now in a statement until the associated query log event has
-    been processed.
-   */
-  const_cast<Relay_log_info*>(rli)->set_flag(Relay_log_info::IN_STMT);
-
-  switch (type) {
-  case LAST_INSERT_ID_EVENT:
-    session->stmt_depends_on_first_successful_insert_id_in_prev_stmt= 1;
-    session->first_successful_insert_id_in_prev_stmt= val;
-    break;
-  case INSERT_ID_EVENT:
-    session->force_one_auto_inc_interval(val);
-    break;
-  }
-  return 0;
-}
-
-int Intvar_log_event::do_update_pos(Relay_log_info *rli)
-{
-  rli->inc_event_relay_log_pos();
-  return 0;
-}
-
-
-Log_event::enum_skip_reason
-Intvar_log_event::do_shall_skip(Relay_log_info *rli)
-{
-  /*
-    It is a common error to set the slave skip counter to 1 instead of
-    2 when recovering from an insert which used a auto increment,
-    rand, or user var.  Therefore, if the slave skip counter is 1, we
-    just say that this event should be skipped by ignoring it, meaning
-    that we do not change the value of the slave skip counter since it
-    will be decreased by the following insert event.
-  */
-  return continue_group(rli);
-}
-
-
-/**************************************************************************
-  Rand_log_event methods
-**************************************************************************/
-
-void Rand_log_event::pack_info(Protocol *protocol)
-{
-  char buf1[256], *pos;
-  pos= my_stpcpy(buf1,"rand_seed1=");
-  pos= int10_to_str((long) seed1, pos, 10);
-  pos= my_stpcpy(pos, ",rand_seed2=");
-  pos= int10_to_str((long) seed2, pos, 10);
-  protocol->store(buf1, (uint) (pos-buf1), &my_charset_bin);
-}
-
-
-Rand_log_event::Rand_log_event(const char* buf,
-                               const Format_description_log_event* description_event)
-  :Log_event(buf, description_event)
-{
-  buf+= description_event->common_header_len;
-  seed1= uint8korr(buf+RAND_SEED1_OFFSET);
-  seed2= uint8korr(buf+RAND_SEED2_OFFSET);
-}
-
-
-bool Rand_log_event::write(IO_CACHE* file)
-{
-  unsigned char buf[16];
-  int8store(buf + RAND_SEED1_OFFSET, seed1);
-  int8store(buf + RAND_SEED2_OFFSET, seed2);
-  return (write_header(file, sizeof(buf)) ||
-          my_b_safe_write(file, buf, sizeof(buf)));
-}
-
-
-int Rand_log_event::do_apply_event(Relay_log_info const *rli)
-{
-  /*
-    We are now in a statement until the associated query log event has
-    been processed.
-   */
-  const_cast<Relay_log_info*>(rli)->set_flag(Relay_log_info::IN_STMT);
-
-  session->rand.seed1= (ulong) seed1;
-  session->rand.seed2= (ulong) seed2;
-  return 0;
-}
-
-int Rand_log_event::do_update_pos(Relay_log_info *rli)
-{
-  rli->inc_event_relay_log_pos();
-  return 0;
-}
-
-
-Log_event::enum_skip_reason
-Rand_log_event::do_shall_skip(Relay_log_info *rli)
-{
-  /*
-    It is a common error to set the slave skip counter to 1 instead of
-    2 when recovering from an insert which used a auto increment,
-    rand, or user var.  Therefore, if the slave skip counter is 1, we
-    just say that this event should be skipped by ignoring it, meaning
-    that we do not change the value of the slave skip counter since it
-    will be decreased by the following insert event.
-  */
-  return continue_group(rli);
-}
-
-
-/**************************************************************************
   Xid_log_event methods
 **************************************************************************/
 
@@ -3308,276 +3094,6 @@
 
 
 /**************************************************************************
-  User_var_log_event methods
-**************************************************************************/
-
-void User_var_log_event::pack_info(Protocol* protocol)
-{
-  char *buf= 0;
-  uint32_t val_offset= 4 + name_len;
-  uint32_t event_len= val_offset;
-
-  if (is_null)
-  {
-    if (!(buf= (char*) my_malloc(val_offset + 5, MYF(MY_WME))))
-      return;
-    my_stpcpy(buf + val_offset, "NULL");
-    event_len= val_offset + 4;
-  }
-  else
-  {
-    switch (type) {
-    case REAL_RESULT:
-      double real_val;
-      float8get(real_val, val);
-      if (!(buf= (char*) my_malloc(val_offset + MY_GCVT_MAX_FIELD_WIDTH + 1,
-                                   MYF(MY_WME))))
-        return;
-      event_len+= my_gcvt(real_val, MY_GCVT_ARG_DOUBLE, MY_GCVT_MAX_FIELD_WIDTH,
-                          buf + val_offset, NULL);
-      break;
-    case INT_RESULT:
-      if (!(buf= (char*) my_malloc(val_offset + 22, MYF(MY_WME))))
-        return;
-      event_len= int64_t10_to_str(uint8korr(val), buf + val_offset,-10)-buf;
-      break;
-    case DECIMAL_RESULT:
-    {
-      if (!(buf= (char*) my_malloc(val_offset + DECIMAL_MAX_STR_LENGTH,
-                                   MYF(MY_WME))))
-        return;
-      String str(buf+val_offset, DECIMAL_MAX_STR_LENGTH, &my_charset_bin);
-      my_decimal dec;
-      binary2my_decimal(E_DEC_FATAL_ERROR, (unsigned char*) (val+2), &dec, val[0],
-                        val[1]);
-      my_decimal2string(E_DEC_FATAL_ERROR, &dec, 0, 0, 0, &str);
-      event_len= str.length() + val_offset;
-      break;
-    } 
-    case STRING_RESULT:
-      /* 15 is for 'COLLATE' and other chars */
-      buf= (char*) my_malloc(event_len+val_len*2+1+2*MY_CS_NAME_SIZE+15,
-                             MYF(MY_WME));
-      const CHARSET_INFO *cs;
-      if (!buf)
-        return;
-      if (!(cs= get_charset(charset_number, MYF(0))))
-      {
-        my_stpcpy(buf+val_offset, "???");
-        event_len+= 3;
-      }
-      else
-      {
-        char *p= strxmov(buf + val_offset, "_", cs->csname, " ", NULL);
-        p= str_to_hex(p, val, val_len);
-        p= strxmov(p, " COLLATE ", cs->name, NULL);
-        event_len= p-buf;
-      }
-      break;
-    case ROW_RESULT:
-    default:
-      assert(1);
-      return;
-    }
-  }
-  buf[0]= '@';
-  buf[1]= '`';
-  memcpy(buf+2, name, name_len);
-  buf[2+name_len]= '`';
-  buf[3+name_len]= '=';
-  protocol->store(buf, event_len, &my_charset_bin);
-  free(buf);
-}
-
-
-User_var_log_event::
-User_var_log_event(const char* buf,
-                   const Format_description_log_event* description_event)
-  :Log_event(buf, description_event)
-{
-  buf+= description_event->common_header_len;
-  name_len= uint4korr(buf);
-  name= (char *) buf + UV_NAME_LEN_SIZE;
-  buf+= UV_NAME_LEN_SIZE + name_len;
-  is_null= (bool) *buf;
-  if (is_null)
-  {
-    type= STRING_RESULT;
-    charset_number= my_charset_bin.number;
-    val_len= 0;
-    val= 0;  
-  }
-  else
-  {
-    type= (Item_result) buf[UV_VAL_IS_NULL];
-    charset_number= uint4korr(buf + UV_VAL_IS_NULL + UV_VAL_TYPE_SIZE);
-    val_len= uint4korr(buf + UV_VAL_IS_NULL + UV_VAL_TYPE_SIZE + 
-		       UV_CHARSET_NUMBER_SIZE);
-    val= (char *) (buf + UV_VAL_IS_NULL + UV_VAL_TYPE_SIZE +
-		   UV_CHARSET_NUMBER_SIZE + UV_VAL_LEN_SIZE);
-  }
-}
-
-
-bool User_var_log_event::write(IO_CACHE* file)
-{
-  char buf[UV_NAME_LEN_SIZE];
-  char buf1[UV_VAL_IS_NULL + UV_VAL_TYPE_SIZE + 
-	    UV_CHARSET_NUMBER_SIZE + UV_VAL_LEN_SIZE];
-  unsigned char buf2[(8 > DECIMAL_MAX_FIELD_SIZE + 2) ? 8 : DECIMAL_MAX_FIELD_SIZE +2], *pos= buf2;
-  uint32_t buf1_length;
-  ulong event_length;
-
-  int4store(buf, name_len);
-  
-  if ((buf1[0]= is_null))
-  {
-    buf1_length= 1;
-    val_len= 0;                                 // Length of 'pos'
-  }    
-  else
-  {
-    buf1[1]= type;
-    int4store(buf1 + 2, charset_number);
-
-    switch (type) {
-    case REAL_RESULT:
-      float8store(buf2, *(double*) val);
-      break;
-    case INT_RESULT:
-      int8store(buf2, *(int64_t*) val);
-      break;
-    case DECIMAL_RESULT:
-    {
-      my_decimal *dec= (my_decimal *)val;
-      dec->fix_buffer_pointer();
-      buf2[0]= (char)(dec->intg + dec->frac);
-      buf2[1]= (char)dec->frac;
-      decimal2bin((decimal_t*)val, buf2+2, buf2[0], buf2[1]);
-      val_len= decimal_bin_size(buf2[0], buf2[1]) + 2;
-      break;
-    }
-    case STRING_RESULT:
-      pos= (unsigned char*) val;
-      break;
-    case ROW_RESULT:
-    default:
-      assert(1);
-      return 0;
-    }
-    int4store(buf1 + 2 + UV_CHARSET_NUMBER_SIZE, val_len);
-    buf1_length= 10;
-  }
-
-  /* Length of the whole event */
-  event_length= sizeof(buf)+ name_len + buf1_length + val_len;
-
-  return (write_header(file, event_length) ||
-          my_b_safe_write(file, (unsigned char*) buf, sizeof(buf))   ||
-	  my_b_safe_write(file, (unsigned char*) name, name_len)     ||
-	  my_b_safe_write(file, (unsigned char*) buf1, buf1_length) ||
-	  my_b_safe_write(file, pos, val_len));
-}
-
-
-
-/*
-  User_var_log_event::do_apply_event()
-*/
-
-int User_var_log_event::do_apply_event(Relay_log_info const *rli)
-{
-  Item *it= 0;
-  const CHARSET_INFO *charset;
-  if (!(charset= get_charset(charset_number, MYF(MY_WME))))
-    return 1;
-  LEX_STRING user_var_name;
-  user_var_name.str= name;
-  user_var_name.length= name_len;
-  double real_val;
-  int64_t int_val;
-
-  /*
-    We are now in a statement until the associated query log event has
-    been processed.
-   */
-  const_cast<Relay_log_info*>(rli)->set_flag(Relay_log_info::IN_STMT);
-
-  if (is_null)
-  {
-    it= new Item_null();
-  }
-  else
-  {
-    switch (type) {
-    case REAL_RESULT:
-      float8get(real_val, val);
-      it= new Item_float(real_val, 0);
-      val= (char*) &real_val;		// Pointer to value in native format
-      val_len= 8;
-      break;
-    case INT_RESULT:
-      int_val= (int64_t) uint8korr(val);
-      it= new Item_int(int_val);
-      val= (char*) &int_val;		// Pointer to value in native format
-      val_len= 8;
-      break;
-    case DECIMAL_RESULT:
-    {
-      Item_decimal *dec= new Item_decimal((unsigned char*) val+2, val[0], val[1]);
-      it= dec;
-      val= (char *)dec->val_decimal(NULL);
-      val_len= sizeof(my_decimal);
-      break;
-    }
-    case STRING_RESULT:
-      it= new Item_string(val, val_len, charset);
-      break;
-    case ROW_RESULT:
-    default:
-      assert(1);
-      return 0;
-    }
-  }
-  Item_func_set_user_var e(user_var_name, it);
-  /*
-    Item_func_set_user_var can't substitute something else on its place =>
-    0 can be passed as last argument (reference on item)
-  */
-  e.fix_fields(session, 0);
-  /*
-    A variable can just be considered as a table with
-    a single record and with a single column. Thus, like
-    a column value, it could always have IMPLICIT derivation.
-   */
-  e.update_hash(val, val_len, type, charset, DERIVATION_IMPLICIT, 0);
-  free_root(session->mem_root,0);
-
-  return 0;
-}
-
-int User_var_log_event::do_update_pos(Relay_log_info *rli)
-{
-  rli->inc_event_relay_log_pos();
-  return 0;
-}
-
-Log_event::enum_skip_reason
-User_var_log_event::do_shall_skip(Relay_log_info *rli)
-{
-  /*
-    It is a common error to set the slave skip counter to 1 instead
-    of 2 when recovering from an insert which used a auto increment,
-    rand, or user var.  Therefore, if the slave skip counter is 1, we
-    just say that this event should be skipped by ignoring it, meaning
-    that we do not change the value of the slave skip counter since it
-    will be decreased by the following insert event.
-  */
-  return continue_group(rli);
-}
-
-
-/**************************************************************************
   Slave_log_event methods
 **************************************************************************/
 
@@ -4470,21 +3986,7 @@
 	    my_b_safe_write(file,(unsigned char*) &opt_flags,1));
   }
   else
-  {
-    /**
-      @todo This is sensitive to field padding. We should write a
-      char[7], not an old_sql_ex. /sven
-    */
-    old_sql_ex old_ex;
-    old_ex.field_term= *field_term;
-    old_ex.enclosed=   *enclosed;
-    old_ex.line_term=  *line_term;
-    old_ex.line_start= *line_start;
-    old_ex.escaped=    *escaped;
-    old_ex.opt_flags=  opt_flags;
-    old_ex.empty_flags=empty_flags;
-    return my_b_safe_write(file, (unsigned char*) &old_ex, sizeof(old_ex)) != 0;
-  }
+    assert(0);
 }
 
 
@@ -5569,7 +5071,6 @@
   RPL_TableList *table_list;
   char *db_mem, *tname_mem;
   Query_id &query_id= Query_id::get_query_id();
-  size_t dummy_len;
   void *memory;
   assert(rli->sql_session == session);
 
@@ -5590,17 +5091,11 @@
   table_list->next_global= table_list->next_local= 0;
   table_list->table_id= m_table_id;
   table_list->updating= 1;
-  my_stpcpy(table_list->db, rpl_filter->get_rewrite_db(m_dbnam, &dummy_len));
+  my_stpcpy(table_list->db, m_dbnam);
   my_stpcpy(table_list->table_name, m_tblnam);
 
   int error= 0;
 
-  if (!rpl_filter->db_ok(table_list->db) ||
-      (rpl_filter->is_on() && !rpl_filter->tables_ok("", table_list)))
-  {
-    free(memory);
-  }
-  else
   {
     /*
       open_tables() reads the contents of session->lex, so they must be

=== modified file 'drizzled/log_event.h'
--- drizzled/log_event.h	2008-11-23 00:59:08 +0000
+++ drizzled/log_event.h	2008-11-25 02:31:14 +0000
@@ -124,22 +124,6 @@
 #define LINE_START_EMPTY	0x8
 #define ESCAPED_EMPTY		0x10
 
-/*****************************************************************************
-
-  old_sql_ex struct
-
- ****************************************************************************/
-struct old_sql_ex
-{
-  char field_term;
-  char enclosed;
-  char line_term;
-  char line_start;
-  char escaped;
-  char opt_flags;
-  char empty_flags;
-};
-
 #define NUM_LOAD_DELIM_STRS 5
 
 /*****************************************************************************
@@ -482,14 +466,6 @@
   TABLE_MAP_EVENT = 19,
 
   /*
-    These event numbers were used for 5.1.0 to 5.1.15 and are
-    therefore obsolete.
-   */
-  PRE_GA_WRITE_ROWS_EVENT = 20,
-  PRE_GA_UPDATE_ROWS_EVENT = 21,
-  PRE_GA_DELETE_ROWS_EVENT = 22,
-
-  /*
     These event numbers are used from 5.1.16 and forward
    */
   WRITE_ROWS_EVENT = 23,
@@ -1976,134 +1952,6 @@
   virtual enum_skip_reason do_shall_skip(Relay_log_info *rli);
 };
 
-
-/**
-  @class Intvar_log_event
-
-  An Intvar_log_event will be created just before a Query_log_event,
-  if the query uses one of the variables LAST_INSERT_ID or INSERT_ID.
-  Each Intvar_log_event holds the value of one of these variables.
-
-  @section Intvar_log_event_binary_format Binary Format
-
-  The Post-Header has two components:
-
-  <table>
-  <caption>Post-Header for Intvar_log_event</caption>
-
-  <tr>
-    <th>Name</th>
-    <th>Format</th>
-    <th>Description</th>
-  </tr>
-
-  <tr>
-    <td>type</td>
-    <td>1 byte enumeration</td>
-    <td>One byte identifying the type of variable stored.  Currently,
-    two identifiers are supported:  LAST_INSERT_ID_EVENT==1 and
-    INSERT_ID_EVENT==2.
-    </td>
-  </tr>
-
-  <tr>
-    <td>value</td>
-    <td>8 byte unsigned integer</td>
-    <td>The value of the variable.</td>
-  </tr>
-
-  </table>
-*/
-class Intvar_log_event: public Log_event
-{
-public:
-  uint64_t val;
-  unsigned char type;
-
-  Intvar_log_event(Session* session_arg,unsigned char type_arg, uint64_t val_arg)
-    :Log_event(session_arg,0,0),val(val_arg),type(type_arg)
-  {}
-  void pack_info(Protocol* protocol);
-
-  Intvar_log_event(const char* buf,
-                   const Format_description_log_event *description_event);
-  ~Intvar_log_event() {}
-  Log_event_type get_type_code() { return INTVAR_EVENT;}
-  const char* get_var_type_name();
-  int get_data_size() { return  9; /* sizeof(type) + sizeof(val) */;}
-  bool write(IO_CACHE* file);
-  bool is_valid() const { return 1; }
-
-private:
-  virtual int do_apply_event(Relay_log_info const *rli);
-  virtual int do_update_pos(Relay_log_info *rli);
-  virtual enum_skip_reason do_shall_skip(Relay_log_info *rli);
-};
-
-
-/**
-  @class Rand_log_event
-
-  Logs random seed used by the next RAND(), and by PASSWORD() in 4.1.0.
-  4.1.1 does not need it (it's repeatable again) so this event needn't be
-  written in 4.1.1 for PASSWORD() (but the fact that it is written is just a
-  waste, it does not cause bugs).
-
-  The state of the random number generation consists of 128 bits,
-  which are stored internally as two 64-bit numbers.
-
-  @section Rand_log_event_binary_format Binary Format  
-  This event type has no Post-Header. The Body of this event type has
-  two components:
-
-  <table>
-  <caption>Post-Header for Intvar_log_event</caption>
-
-  <tr>
-    <th>Name</th>
-    <th>Format</th>
-    <th>Description</th>
-  </tr>
-
-  <tr>
-    <td>seed1</td>
-    <td>8 byte unsigned integer</td>
-    <td>64 bit random seed1.</td>
-  </tr>
-
-  <tr>
-    <td>seed2</td>
-    <td>8 byte unsigned integer</td>
-    <td>64 bit random seed2.</td>
-  </tr>
-  </table>
-*/
-
-class Rand_log_event: public Log_event
-{
- public:
-  uint64_t seed1;
-  uint64_t seed2;
-
-  Rand_log_event(Session* session_arg, uint64_t seed1_arg, uint64_t seed2_arg)
-    :Log_event(session_arg,0,0),seed1(seed1_arg),seed2(seed2_arg)
-  {}
-  void pack_info(Protocol* protocol);
-
-  Rand_log_event(const char* buf,
-                 const Format_description_log_event *description_event);
-  ~Rand_log_event() {}
-  Log_event_type get_type_code() { return RAND_EVENT;}
-  int get_data_size() { return 16; /* sizeof(uint64_t) * 2*/ }
-  bool write(IO_CACHE* file);
-  bool is_valid() const { return 1; }
-
-private:
-  virtual int do_apply_event(Relay_log_info const *rli);
-  virtual int do_update_pos(Relay_log_info *rli);
-  virtual enum_skip_reason do_shall_skip(Relay_log_info *rli);
-};
-
 /**
   @class Xid_log_event
 
@@ -2133,47 +1981,6 @@
   enum_skip_reason do_shall_skip(Relay_log_info *rli);
 };
 
-/**
-  @class User_var_log_event
-
-  Every time a query uses the value of a user variable, a User_var_log_event is
-  written before the Query_log_event, to set the user variable.
-
-  @section User_var_log_event_binary_format Binary Format  
-*/
-
-class User_var_log_event: public Log_event
-{
-public:
-  char *name;
-  uint32_t name_len;
-  char *val;
-  ulong val_len;
-  Item_result type;
-  uint32_t charset_number;
-  bool is_null;
-  User_var_log_event(Session*,
-                     char *name_arg, uint32_t name_len_arg,
-                     char *val_arg, ulong val_len_arg, Item_result type_arg,
-		     uint32_t charset_number_arg)
-    :Log_event(), name(name_arg), name_len(name_len_arg), val(val_arg),
-    val_len(val_len_arg), type(type_arg), charset_number(charset_number_arg)
-    { is_null= !val; }
-  void pack_info(Protocol* protocol);
-
-  User_var_log_event(const char* buf,
-                     const Format_description_log_event *description_event);
-  ~User_var_log_event() {}
-  Log_event_type get_type_code() { return USER_VAR_EVENT;}
-  bool write(IO_CACHE* file);
-  bool is_valid() const { return 1; }
-
-private:
-  virtual int do_apply_event(Relay_log_info const *rli);
-  virtual int do_update_pos(Relay_log_info *rli);
-  virtual enum_skip_reason do_shall_skip(Relay_log_info *rli);
-};
-
 
 /**
   @class Stop_log_event

=== removed file 'drizzled/replication/filter.cc'
--- drizzled/replication/filter.cc	2008-11-18 22:12:56 +0000
+++ drizzled/replication/filter.cc	1970-01-01 00:00:00 +0000
@@ -1,534 +0,0 @@
-/* Copyright (C) 2000-2003 MySQL AB
-   
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-#include <drizzled/server_includes.h>
-#include <drizzled/replication/filter.h>
-#include <drizzled/table_list.h>
-
-#define TABLE_RULE_HASH_SIZE   16
-#define TABLE_RULE_ARR_SIZE   16
-
-Rpl_filter::Rpl_filter() :
-  table_rules_on(0), do_table_inited(0), ignore_table_inited(0),
-  wild_do_table_inited(0), wild_ignore_table_inited(0)
-{
-  do_db.empty();
-  ignore_db.empty();
-  rewrite_db.empty();
-}
-
-
-Rpl_filter::~Rpl_filter() 
-{
-  if (do_table_inited) 
-    hash_free(&do_table);
-  if (ignore_table_inited)
-    hash_free(&ignore_table);
-  if (wild_do_table_inited)
-    free_string_array(&wild_do_table);
-  if (wild_ignore_table_inited)
-    free_string_array(&wild_ignore_table);
-  free_list(&do_db);
-  free_list(&ignore_db);
-  free_list(&rewrite_db);
-}
-
-
-/*
-  Returns true if table should be logged/replicated 
-
-  SYNOPSIS
-    tables_ok()
-    db              db to use if db in TableList is undefined for a table
-    tables          list of tables to check
-
-  NOTES
-    Changing table order in the list can lead to different results. 
-    
-    Note also order of precedence of do/ignore rules (see code).  For
-    that reason, users should not set conflicting rules because they
-    may get unpredicted results (precedence order is explained in the
-    manual).
-
-    If no table in the list is marked "updating", then we always
-    return 0, because there is no reason to execute this statement on
-    slave if it updates nothing.  (Currently, this can only happen if
-    statement is a multi-delete (SQLCOM_DELETE_MULTI) and "tables" are
-    the tables in the FROM):
-
-    In the case of SQLCOM_DELETE_MULTI, there will be a second call to
-    tables_ok(), with tables having "updating==TRUE" (those after the
-    DELETE), so this second call will make the decision (because
-    all_tables_not_ok() = !tables_ok(1st_list) &&
-    !tables_ok(2nd_list)).
-
-  TODO
-    "Include all tables like "abc.%" except "%.EFG"". (Can't be done now.)
-    If we supported Perl regexps, we could do it with pattern: /^abc\.(?!EFG)/
-    (I could not find an equivalent in the regex library MySQL uses).
-
-  RETURN VALUES
-    0           should not be logged/replicated
-    1           should be logged/replicated
-*/
-
-bool
-Rpl_filter::tables_ok(const char* db, TableList* tables)
-{
-  bool some_tables_updating= 0;
-
-  for (; tables; tables= tables->next_global)
-  {
-    char hash_key[2*NAME_LEN+2];
-    char *end;
-    uint32_t len;
-
-    if (!tables->updating)
-      continue;
-    some_tables_updating= 1;
-    end= my_stpcpy(hash_key, tables->db ? tables->db : db);
-    *end++= '.';
-    len= (uint) (my_stpcpy(end, tables->table_name) - hash_key);
-    if (do_table_inited) // if there are any do's
-    {
-      if (hash_search(&do_table, (unsigned char*) hash_key, len))
-	return(1);
-    }
-    if (ignore_table_inited) // if there are any ignores
-    {
-      if (hash_search(&ignore_table, (unsigned char*) hash_key, len))
-	return(0); 
-    }
-    if (wild_do_table_inited && 
-	find_wild(&wild_do_table, hash_key, len))
-      return(1);
-    if (wild_ignore_table_inited && 
-	find_wild(&wild_ignore_table, hash_key, len))
-      return(0);
-  }
-
-  /*
-    If no table was to be updated, ignore statement (no reason we play it on
-    slave, slave is supposed to replicate _changes_ only).
-    If no explicit rule found and there was a do list, do not replicate.
-    If there was no do list, go ahead
-  */
-  return(some_tables_updating &&
-              !do_table_inited && !wild_do_table_inited);
-}
-
-
-/*
-  Checks whether a db matches some do_db and ignore_db rules
-
-  SYNOPSIS
-    db_ok()
-    db              name of the db to check
-
-  RETURN VALUES
-    0           should not be logged/replicated
-    1           should be logged/replicated                  
-*/
-
-bool
-Rpl_filter::db_ok(const char* db)
-{
-  if (do_db.is_empty() && ignore_db.is_empty())
-    return(1); // Ok to replicate if the user puts no constraints
-
-  /*
-    If the user has specified restrictions on which databases to replicate
-    and db was not selected, do not replicate.
-  */
-  if (!db)
-    return(0);
-
-  if (!do_db.is_empty()) // if the do's are not empty
-  {
-    I_List_iterator<i_string> it(do_db);
-    i_string* tmp;
-
-    while ((tmp=it++))
-    {
-      if (!strcmp(tmp->ptr, db))
-	return(1); // match
-    }
-    return(0);
-  }
-  else // there are some elements in the don't, otherwise we cannot get here
-  {
-    I_List_iterator<i_string> it(ignore_db);
-    i_string* tmp;
-
-    while ((tmp=it++))
-    {
-      if (!strcmp(tmp->ptr, db))
-	return(0); // match
-    }
-    return(1);
-  }
-}
-
-
-/*
-  Checks whether a db matches wild_do_table and wild_ignore_table
-  rules (for replication)
-
-  SYNOPSIS
-    db_ok_with_wild_table()
-    db		name of the db to check.
-		Is tested with check_db_name() before calling this function.
-
-  NOTES
-    Here is the reason for this function.
-    We advise users who want to exclude a database 'db1' safely to do it
-    with replicate_wild_ignore_table='db1.%' instead of binlog_ignore_db or
-    replicate_ignore_db because the two lasts only check for the selected db,
-    which won't work in that case:
-    USE db2;
-    UPDATE db1.t SET ... #this will be replicated and should not
-    whereas replicate_wild_ignore_table will work in all cases.
-    With replicate_wild_ignore_table, we only check tables. When
-    one does 'DROP DATABASE db1', tables are not involved and the
-    statement will be replicated, while users could expect it would not (as it
-    rougly means 'DROP db1.first_table, DROP db1.second_table...').
-    In other words, we want to interpret 'db1.%' as "everything touching db1".
-    That is why we want to match 'db1' against 'db1.%' wild table rules.
-
-  RETURN VALUES
-    0           should not be logged/replicated
-    1           should be logged/replicated
-*/
-
-bool
-Rpl_filter::db_ok_with_wild_table(const char *db)
-{
-  char hash_key[NAME_LEN+2];
-  char *end;
-  int len;
-  end= my_stpcpy(hash_key, db);
-  *end++= '.';
-  len= end - hash_key ;
-  if (wild_do_table_inited && find_wild(&wild_do_table, hash_key, len))
-  {
-    return(1);
-  }
-  if (wild_ignore_table_inited && find_wild(&wild_ignore_table, hash_key, len))
-  {
-    return(0);
-  }  
-
-  /*
-    If no explicit rule found and there was a do list, do not replicate.
-    If there was no do list, go ahead
-  */
-  return(!wild_do_table_inited);
-}
-
-
-bool
-Rpl_filter::is_on()
-{
-  return table_rules_on;
-}
-
-
-int 
-Rpl_filter::add_do_table(const char* table_spec) 
-{
-  if (!do_table_inited)
-    init_table_rule_hash(&do_table, &do_table_inited);
-  table_rules_on= 1;
-  return(add_table_rule(&do_table, table_spec));
-}
-  
-
-int 
-Rpl_filter::add_ignore_table(const char* table_spec) 
-{
-  if (!ignore_table_inited)
-    init_table_rule_hash(&ignore_table, &ignore_table_inited);
-  table_rules_on= 1;
-  return(add_table_rule(&ignore_table, table_spec));
-}
-
-
-int 
-Rpl_filter::add_wild_do_table(const char* table_spec)
-{
-  if (!wild_do_table_inited)
-    init_table_rule_array(&wild_do_table, &wild_do_table_inited);
-  table_rules_on= 1;
-  return(add_wild_table_rule(&wild_do_table, table_spec));
-}
-  
-
-int 
-Rpl_filter::add_wild_ignore_table(const char* table_spec) 
-{
-  if (!wild_ignore_table_inited)
-    init_table_rule_array(&wild_ignore_table, &wild_ignore_table_inited);
-  table_rules_on= 1;
-  return(add_wild_table_rule(&wild_ignore_table, table_spec));
-}
-
-
-void
-Rpl_filter::add_db_rewrite(const char* from_db, const char* to_db)
-{
-  i_string_pair *db_pair = new i_string_pair(from_db, to_db);
-  rewrite_db.push_back(db_pair);
-}
-
-
-int 
-Rpl_filter::add_table_rule(HASH* h, const char* table_spec)
-{
-  const char* dot = strchr(table_spec, '.');
-  if (!dot) return 1;
-  // len is always > 0 because we know the there exists a '.'
-  uint32_t len = (uint)strlen(table_spec);
-  TABLE_RULE_ENT* e = (TABLE_RULE_ENT*)my_malloc(sizeof(TABLE_RULE_ENT)
-						 + len, MYF(MY_WME));
-  if (!e) return 1;
-  e->db= (char*)e + sizeof(TABLE_RULE_ENT);
-  e->tbl_name= e->db + (dot - table_spec) + 1;
-  e->key_len= len;
-  memcpy(e->db, table_spec, len);
-
-  return my_hash_insert(h, (unsigned char*)e);
-}
-
-
-/*
-  Add table expression with wildcards to dynamic array
-*/
-
-int 
-Rpl_filter::add_wild_table_rule(DYNAMIC_ARRAY* a, const char* table_spec)
-{
-  const char* dot = strchr(table_spec, '.');
-  if (!dot) return 1;
-  uint32_t len = (uint)strlen(table_spec);
-  TABLE_RULE_ENT* e = (TABLE_RULE_ENT*)my_malloc(sizeof(TABLE_RULE_ENT)
-						 + len, MYF(MY_WME));
-  if (!e) return 1;
-  e->db= (char*)e + sizeof(TABLE_RULE_ENT);
-  e->tbl_name= e->db + (dot - table_spec) + 1;
-  e->key_len= len;
-  memcpy(e->db, table_spec, len);
-  insert_dynamic(a, (unsigned char*)&e);
-  return 0;
-}
-
-
-void
-Rpl_filter::add_do_db(const char* table_spec)
-{
-  i_string *db = new i_string(table_spec);
-  do_db.push_back(db);
-}
-
-
-void
-Rpl_filter::add_ignore_db(const char* table_spec)
-{
-  i_string *db = new i_string(table_spec);
-  ignore_db.push_back(db);
-}
-
-extern "C" unsigned char *get_table_key(const unsigned char *, size_t *, bool);
-extern "C" void free_table_ent(void* a);
-
-unsigned char *get_table_key(const unsigned char* a, size_t *len,
-                     bool __attribute__((unused)))
-{
-  TABLE_RULE_ENT *e= (TABLE_RULE_ENT *) a;
-
-  *len= e->key_len;
-  return (unsigned char*)e->db;
-}
-
-
-void free_table_ent(void* a)
-{
-  TABLE_RULE_ENT *e= (TABLE_RULE_ENT *) a;
-  
-  free((unsigned char*) e);
-}
-
-
-void 
-Rpl_filter::init_table_rule_hash(HASH* h, bool* h_inited)
-{
-  hash_init(h, system_charset_info,TABLE_RULE_HASH_SIZE,0,0,
-	    get_table_key, free_table_ent, 0);
-  *h_inited = 1;
-}
-
-
-void 
-Rpl_filter::init_table_rule_array(DYNAMIC_ARRAY* a, bool* a_inited)
-{
-  my_init_dynamic_array(a, sizeof(TABLE_RULE_ENT*), TABLE_RULE_ARR_SIZE,
-			TABLE_RULE_ARR_SIZE);
-  *a_inited = 1;
-}
-
-
-TABLE_RULE_ENT* 
-Rpl_filter::find_wild(DYNAMIC_ARRAY *a, const char* key, int len)
-{
-  uint32_t i;
-  const char* key_end= key + len;
-  
-  for (i= 0; i < a->elements; i++)
-  {
-    TABLE_RULE_ENT* e ;
-    get_dynamic(a, (unsigned char*)&e, i);
-    if (!my_wildcmp(system_charset_info, key, key_end, 
-		    (const char*)e->db,
-		    (const char*)(e->db + e->key_len),
-		    '\\',wild_one,wild_many))
-      return e;
-  }
-  
-  return 0;
-}
-
-
-void 
-Rpl_filter::free_string_array(DYNAMIC_ARRAY *a)
-{
-  uint32_t i;
-  for (i= 0; i < a->elements; i++)
-  {
-    char* p;
-    get_dynamic(a, (unsigned char*) &p, i);
-    free(p);
-  }
-  delete_dynamic(a);
-}
-
-
-/*
-  Builds a String from a HASH of TABLE_RULE_ENT. Cannot be used for any other 
-  hash, as it assumes that the hash entries are TABLE_RULE_ENT.
-
-  SYNOPSIS
-    table_rule_ent_hash_to_str()
-    s               pointer to the String to fill
-    h               pointer to the HASH to read
-
-  RETURN VALUES
-    none
-*/
-
-void 
-Rpl_filter::table_rule_ent_hash_to_str(String* s, HASH* h, bool inited)
-{
-  s->length(0);
-  if (inited)
-  {
-    for (uint32_t i= 0; i < h->records; i++)
-    {
-      TABLE_RULE_ENT* e= (TABLE_RULE_ENT*) hash_element(h, i);
-      if (s->length())
-        s->append(',');
-      s->append(e->db,e->key_len);
-    }
-  }
-}
-
-
-void 
-Rpl_filter::table_rule_ent_dynamic_array_to_str(String* s, DYNAMIC_ARRAY* a,
-                                                bool inited)
-{
-  s->length(0);
-  if (inited)
-  {
-    for (uint32_t i= 0; i < a->elements; i++)
-    {
-      TABLE_RULE_ENT* e;
-      get_dynamic(a, (unsigned char*)&e, i);
-      if (s->length())
-        s->append(',');
-      s->append(e->db,e->key_len);
-    }
-  }
-}
-
-
-void
-Rpl_filter::get_do_table(String* str)
-{
-  table_rule_ent_hash_to_str(str, &do_table, do_table_inited);
-}
-
-
-void
-Rpl_filter::get_ignore_table(String* str)
-{
-  table_rule_ent_hash_to_str(str, &ignore_table, ignore_table_inited);
-}
-
-
-void
-Rpl_filter::get_wild_do_table(String* str)
-{
-  table_rule_ent_dynamic_array_to_str(str, &wild_do_table, wild_do_table_inited);
-}
-
-
-void
-Rpl_filter::get_wild_ignore_table(String* str)
-{
-  table_rule_ent_dynamic_array_to_str(str, &wild_ignore_table, wild_ignore_table_inited);
-}
-
-
-const char*
-Rpl_filter::get_rewrite_db(const char* db, size_t *new_len)
-{
-  if (rewrite_db.is_empty() || !db)
-    return db;
-  I_List_iterator<i_string_pair> it(rewrite_db);
-  i_string_pair* tmp;
-
-  while ((tmp=it++))
-  {
-    if (!strcmp(tmp->key, db))
-    {
-      *new_len= strlen(tmp->val);
-      return tmp->val;
-    }
-  }
-  return db;
-}
-
-
-I_List<i_string>*
-Rpl_filter::get_do_db()
-{
-  return &do_db;
-}
-  
-
-I_List<i_string>*
-Rpl_filter::get_ignore_db()
-{
-  return &ignore_db;
-}

=== removed file 'drizzled/replication/filter.h'
--- drizzled/replication/filter.h	2008-11-11 01:17:35 +0000
+++ drizzled/replication/filter.h	1970-01-01 00:00:00 +0000
@@ -1,121 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef RPL_FILTER_H
-#define RPL_FILTER_H
-
-#include <libdrizzle/libdrizzle.h>
-#include <mysys/hash.h>
-
-typedef struct st_table_rule_ent
-{
-  char* db;
-  char* tbl_name;
-  uint32_t key_len;
-} TABLE_RULE_ENT;
-
-/*
-  Rpl_filter
-
-  Inclusion and exclusion rules of tables and databases.
-  Also handles rewrites of db.
-  Used for replication and binlogging.
- */
-class Rpl_filter 
-{
-public:
-  Rpl_filter();
-  ~Rpl_filter();
-  Rpl_filter(Rpl_filter const&);
-  Rpl_filter& operator=(Rpl_filter const&);
- 
-  /* Checks - returns true if ok to replicate/log */
-
-  bool tables_ok(const char* db, TableList* tables);
-  bool db_ok(const char* db);
-  bool db_ok_with_wild_table(const char *db);
-
-  bool is_on();
-
-  /* Setters - add filtering rules */
-
-  int add_do_table(const char* table_spec);
-  int add_ignore_table(const char* table_spec);
-
-  int add_wild_do_table(const char* table_spec);
-  int add_wild_ignore_table(const char* table_spec);
-
-  void add_do_db(const char* db_spec);
-  void add_ignore_db(const char* db_spec);
-
-  void add_db_rewrite(const char* from_db, const char* to_db);
-
-  /* Getters - to get information about current rules */
-
-  void get_do_table(String* str);
-  void get_ignore_table(String* str);
-
-  void get_wild_do_table(String* str);
-  void get_wild_ignore_table(String* str);
-
-  const char* get_rewrite_db(const char* db, size_t *new_len);
-
-  I_List<i_string>* get_do_db();
-  I_List<i_string>* get_ignore_db();
-
-private:
-  bool table_rules_on;
-
-  void init_table_rule_hash(HASH* h, bool* h_inited);
-  void init_table_rule_array(DYNAMIC_ARRAY* a, bool* a_inited);
-
-  int add_table_rule(HASH* h, const char* table_spec);
-  int add_wild_table_rule(DYNAMIC_ARRAY* a, const char* table_spec);
-
-  void free_string_array(DYNAMIC_ARRAY *a);
-
-  void table_rule_ent_hash_to_str(String* s, HASH* h, bool inited);
-  void table_rule_ent_dynamic_array_to_str(String* s, DYNAMIC_ARRAY* a,
-                                           bool inited);
-  TABLE_RULE_ENT* find_wild(DYNAMIC_ARRAY *a, const char* key, int len);
-
-  /*
-    Those 4 structures below are uninitialized memory unless the
-    corresponding *_inited variables are "true".
-  */
-  HASH do_table;
-  HASH ignore_table;
-  DYNAMIC_ARRAY wild_do_table;
-  DYNAMIC_ARRAY wild_ignore_table;
-
-  bool do_table_inited;
-  bool ignore_table_inited;
-  bool wild_do_table_inited;
-  bool wild_ignore_table_inited;
-
-  I_List<i_string> do_db;
-  I_List<i_string> ignore_db;
-
-  I_List<i_string_pair> rewrite_db;
-};
-
-extern Rpl_filter *rpl_filter;
-extern Rpl_filter *binlog_filter;
-
-#endif // RPL_FILTER_H

=== modified file 'drizzled/replication/replication.cc'
--- drizzled/replication/replication.cc	2008-11-22 23:34:06 +0000
+++ drizzled/replication/replication.cc	2008-11-26 02:43:56 +0000
@@ -18,7 +18,8 @@
 #include <drizzled/replication/mi.h>
 #include <drizzled/replication/replication.h>
 #include <drizzled/log_event.h>
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>
 #include <drizzled/data_home.h>
@@ -1336,8 +1337,6 @@
   field_list.push_back(new Item_empty_string("File", FN_REFLEN));
   field_list.push_back(new Item_return_int("Position",20,
 					   DRIZZLE_TYPE_LONGLONG));
-  field_list.push_back(new Item_empty_string("Binlog_Do_DB",255));
-  field_list.push_back(new Item_empty_string("Binlog_Ignore_DB",255));
 
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
@@ -1351,8 +1350,6 @@
     int dir_len = dirname_length(li.log_file_name);
     protocol->store(li.log_file_name + dir_len, &my_charset_bin);
     protocol->store((uint64_t) li.pos);
-    protocol->store(binlog_filter->get_do_db());
-    protocol->store(binlog_filter->get_ignore_db());
     if (protocol->write())
       return(true);
   }
@@ -1516,8 +1513,8 @@
 {
 public:
   sys_var_sync_binlog_period(sys_var_chain *chain, const char *name_arg,
-                             ulong *value_ptr)
-    :sys_var_long_ptr(chain, name_arg,value_ptr) {}
+                             uint64_t *value_ptr)
+    :sys_var_long_ptr(chain, name_arg, value_ptr) {}
   bool update(Session *session, set_var *var);
 };
 
@@ -1543,8 +1540,7 @@
 static sys_var_long_ptr	sys_slave_net_timeout(&vars, "slave_net_timeout",
 					      &slave_net_timeout,
                                               fix_slave_net_timeout);
-static sys_var_long_ptr	sys_slave_trans_retries(&vars, "slave_transaction_retries",
-						&slave_trans_retries);
+static sys_var_long_ptr	sys_slave_trans_retries(&vars, "slave_transaction_retries", &slave_trans_retries);
 static sys_var_sync_binlog_period sys_sync_binlog_period(&vars, "sync_binlog", &sync_binlog_period);
 static sys_var_slave_skip_counter sys_slave_skip_counter(&vars, "sql_slave_skip_counter");
 
@@ -1616,7 +1612,7 @@
   }
   pthread_mutex_unlock(&active_mi->rli.run_lock);
   pthread_mutex_unlock(&LOCK_active_mi);
-  var->save_result.uint32_t_value= (ulong) var->value->val_int();
+  var->save_result.uint32_t_value= (uint32_t) var->value->val_int();
   return result;
 }
 

=== modified file 'drizzled/replication/replication.h'
--- drizzled/replication/replication.h	2008-11-11 01:17:35 +0000
+++ drizzled/replication/replication.h	2008-11-25 15:24:22 +0000
@@ -20,7 +20,9 @@
 #ifndef DRIZZLED_REPLICATION_REPLICATION_H
 #define DRIZZLED_REPLICATION_REPLICATION_H
 
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
+
 
 #include "slave.h"
 

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2008-11-24 23:29:26 +0000
+++ drizzled/server_includes.h	2008-11-26 09:40:45 +0000
@@ -145,20 +145,32 @@
 extern ulong binlog_cache_use, binlog_cache_disk_use;
 extern ulong aborted_threads,aborted_connects;
 extern ulong slave_open_temp_tables;
-extern ulong slow_launch_threads, slow_launch_time;
-extern ulong table_cache_size, table_def_size;
-extern ulong max_connections,max_connect_errors, connect_timeout;
+extern ulong slow_launch_threads;
+extern uint64_t slow_launch_time;
+extern uint64_t table_cache_size;
+extern uint64_t table_def_size;
+extern uint64_t max_connections;
+extern uint64_t max_connect_errors;
+extern uint64_t connect_timeout;
 extern bool slave_allow_batching;
-extern ulong slave_net_timeout, slave_trans_retries;
+extern uint64_t slave_net_timeout;
+extern uint64_t slave_trans_retries;
 extern uint32_t max_user_connections;
-extern ulong what_to_log,flush_time;
-extern ulong binlog_cache_size, max_binlog_cache_size, open_files_limit;
-extern ulong max_binlog_size, max_relay_log_size;
+extern ulong what_to_log;
+extern ulong flush_time;
+extern uint64_t binlog_cache_size;
+extern uint64_t max_binlog_cache_size;
+extern ulong open_files_limit;
+extern uint64_t max_binlog_size;
+extern uint64_t max_relay_log_size;
 extern ulong opt_binlog_rows_event_max_size;
-extern ulong rpl_recovery_rank, thread_cache_size, thread_pool_size;
+extern uint64_t thread_cache_size;
+extern uint64_t thread_pool_size;
 extern ulong back_log;
 extern pid_t current_pid;
-extern ulong expire_logs_days, sync_binlog_period, sync_binlog_counter;
+extern uint64_t expire_logs_days;
+extern uint64_t sync_binlog_period;
+extern ulong sync_binlog_counter;
 extern ulong opt_tc_log_size, tc_log_max_pages_used, tc_log_page_size;
 extern ulong tc_log_page_waits;
 extern bool relay_log_purge;

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2008-11-24 20:24:09 +0000
+++ drizzled/session.h	2008-11-25 21:23:39 +0000
@@ -149,54 +149,55 @@
   uint64_t tmp_table_size;
   ha_rows select_limit;
   ha_rows max_join_size;
-  ulong auto_increment_increment, auto_increment_offset;
-  ulong bulk_insert_buff_size;
-  ulong join_buff_size;
-  ulong max_allowed_packet;
-  ulong max_error_count;
-  ulong max_length_for_sort_data;
-  ulong max_sort_length;
-  ulong max_tmp_tables;
-  ulong min_examined_row_limit;
-  ulong myisam_repair_threads;
-  ulong myisam_sort_buff_size;
-  ulong myisam_stats_method;
-  ulong net_buffer_length;
-  ulong net_interactive_timeout;
-  ulong net_read_timeout;
-  ulong net_retry_count;
-  ulong net_wait_timeout;
-  ulong net_write_timeout;
-  ulong optimizer_prune_level;
-  ulong optimizer_search_depth;
+  uint32_t auto_increment_increment;
+  uint32_t auto_increment_offset;
+  uint64_t bulk_insert_buff_size;
+  uint64_t join_buff_size;
+  uint32_t max_allowed_packet;
+  uint64_t max_error_count;
+  uint64_t max_length_for_sort_data;
+  uint64_t max_sort_length;
+  uint64_t max_tmp_tables;
+  uint64_t min_examined_row_limit;
+  uint32_t myisam_repair_threads;
+  uint64_t myisam_sort_buff_size;
+  uint32_t myisam_stats_method;
+  uint32_t net_buffer_length;
+  uint32_t net_interactive_timeout;
+  uint32_t net_read_timeout;
+  uint32_t net_retry_count;
+  uint32_t net_wait_timeout;
+  uint32_t net_write_timeout;
+  bool optimizer_prune_level;
+  uint32_t optimizer_search_depth;
   /*
     Controls use of Engine-MRR:
       0 - auto, based on cost
       1 - force MRR when the storage engine is capable of doing it
       2 - disable MRR.
   */
-  ulong optimizer_use_mrr; 
+  uint32_t optimizer_use_mrr; 
   /* A bitmap for switching optimizations on/off */
-  ulong optimizer_switch;
-  ulong preload_buff_size;
-  ulong read_buff_size;
-  ulong read_rnd_buff_size;
-  ulong div_precincrement;
-  ulong sortbuff_size;
-  ulong thread_handling;
-  ulong tx_isolation;
-  ulong completion_type;
+  uint32_t optimizer_switch;
+  uint64_t preload_buff_size;
+  uint32_t read_buff_size;
+  uint32_t read_rnd_buff_size;
+  uint32_t div_precincrement;
+  uint64_t sortbuff_size;
+  uint32_t thread_handling;
+  uint32_t tx_isolation;
+  uint32_t completion_type;
   /* Determines which non-standard SQL behaviour should be enabled */
-  ulong sql_mode;
-  ulong default_week_format;
-  ulong max_seeks_for_key;
-  ulong range_alloc_block_size;
-  ulong query_alloc_block_size;
-  ulong query_prealloc_size;
-  ulong trans_alloc_block_size;
-  ulong trans_prealloc_size;
-  ulong log_warnings;
-  ulong group_concat_max_len;
+  uint32_t sql_mode;
+  uint32_t default_week_format;
+  uint64_t max_seeks_for_key;
+  uint64_t range_alloc_block_size;
+  uint32_t query_alloc_block_size;
+  uint32_t query_prealloc_size;
+  uint32_t trans_alloc_block_size;
+  uint32_t trans_prealloc_size;
+  bool log_warnings;
+  uint64_t group_concat_max_len;
   /*
     In slave thread we need to know in behalf of which
     thread the query is being run to replicate temp tables properly

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-11-24 06:52:21 +0000
+++ drizzled/set_var.cc	2008-11-26 02:43:56 +0000
@@ -140,24 +140,24 @@
 
 static sys_var_chain vars = { NULL, NULL };
 
-static sys_var_session_ulong
+static sys_var_session_uint32_t
 sys_auto_increment_increment(&vars, "auto_increment_increment",
                              &SV::auto_increment_increment, NULL, NULL,
                              sys_var::SESSION_VARIABLE_IN_BINLOG);
-static sys_var_session_ulong
+static sys_var_session_uint32_t
 sys_auto_increment_offset(&vars, "auto_increment_offset",
                           &SV::auto_increment_offset, NULL, NULL,
                           sys_var::SESSION_VARIABLE_IN_BINLOG);
 
 static sys_var_const_str       sys_basedir(&vars, "basedir", drizzle_home);
 static sys_var_long_ptr	sys_binlog_cache_size(&vars, "binlog_cache_size",
-					      &binlog_cache_size);
-static sys_var_session_ulong	sys_bulk_insert_buff_size(&vars, "bulk_insert_buffer_size",
-						  &SV::bulk_insert_buff_size);
-static sys_var_session_ulong	sys_completion_type(&vars, "completion_type",
-					 &SV::completion_type,
-					 check_completion_type,
-					 fix_completion_type);
+                                              &binlog_cache_size);
+static sys_var_session_uint64_t	sys_bulk_insert_buff_size(&vars, "bulk_insert_buffer_size",
+                                                          &SV::bulk_insert_buff_size);
+static sys_var_session_uint32_t	sys_completion_type(&vars, "completion_type",
+                                                    &SV::completion_type,
+                                                    check_completion_type,
+                                                    fix_completion_type);
 static sys_var_collation_sv
 sys_collation_connection(&vars, "collation_connection",
                          &SV::collation_connection, &default_charset_info,
@@ -171,7 +171,7 @@
                      &default_charset_info,
                      sys_var::SESSION_VARIABLE_IN_BINLOG);
 static sys_var_long_ptr	sys_connect_timeout(&vars, "connect_timeout",
-					    &connect_timeout);
+                                            &connect_timeout);
 static sys_var_const_str       sys_datadir(&vars, "datadir", drizzle_real_data_home);
 static sys_var_enum		sys_delay_key_write(&vars, "delay_key_write",
 					    &delay_key_write_options,
@@ -179,7 +179,7 @@
 					    fix_delay_key_write);
 
 static sys_var_long_ptr	sys_expire_logs_days(&vars, "expire_logs_days",
-					     &expire_logs_days);
+                                             &expire_logs_days);
 static sys_var_bool_ptr	sys_flush(&vars, "flush", &myisam_flush);
 sys_var_str             sys_init_connect(&vars, "init_connect", 0,
                                          sys_update_init_connect,
@@ -187,97 +187,97 @@
 sys_var_str             sys_init_slave(&vars, "init_slave", 0,
                                        sys_update_init_slave,
                                        sys_default_init_slave,0);
-static sys_var_session_ulong	sys_interactive_timeout(&vars, "interactive_timeout",
-						&SV::net_interactive_timeout);
-static sys_var_session_ulong	sys_join_buffer_size(&vars, "join_buffer_size",
-					     &SV::join_buff_size);
+static sys_var_session_uint32_t	sys_interactive_timeout(&vars, "interactive_timeout",
+                                                        &SV::net_interactive_timeout);
+static sys_var_session_uint64_t	sys_join_buffer_size(&vars, "join_buffer_size",
+                                                     &SV::join_buff_size);
 static sys_var_key_buffer_size	sys_key_buffer_size(&vars, "key_buffer_size");
 static sys_var_key_cache_long  sys_key_cache_block_size(&vars, "key_cache_block_size",
-						 offsetof(KEY_CACHE,
-							  param_block_size));
+                                                        offsetof(KEY_CACHE,
+                                                                 param_block_size));
 static sys_var_key_cache_long	sys_key_cache_division_limit(&vars, "key_cache_division_limit",
-						     offsetof(KEY_CACHE,
-							      param_division_limit));
+                                                           offsetof(KEY_CACHE,
+                                                                    param_division_limit));
 static sys_var_key_cache_long  sys_key_cache_age_threshold(&vars, "key_cache_age_threshold",
-						     offsetof(KEY_CACHE,
-							      param_age_threshold));
+                                                           offsetof(KEY_CACHE,
+                                                                    param_age_threshold));
 static sys_var_bool_ptr	sys_local_infile(&vars, "local_infile",
-					 &opt_local_infile);
+                                         &opt_local_infile);
 static sys_var_session_bool	sys_low_priority_updates(&vars, "low_priority_updates",
-						 &SV::low_priority_updates,
-						 fix_low_priority_updates);
+                                                     &SV::low_priority_updates,
+                                                     fix_low_priority_updates);
 #ifndef TO_BE_DELETED	/* Alias for the low_priority_updates */
 static sys_var_session_bool	sys_sql_low_priority_updates(&vars, "sql_low_priority_updates",
-						     &SV::low_priority_updates,
-						     fix_low_priority_updates);
+                                                         &SV::low_priority_updates,
+                                                         fix_low_priority_updates);
 #endif
-static sys_var_session_ulong	sys_max_allowed_packet(&vars, "max_allowed_packet",
-					       &SV::max_allowed_packet);
+static sys_var_session_uint32_t	sys_max_allowed_packet(&vars, "max_allowed_packet",
+                                                       &SV::max_allowed_packet);
 static sys_var_long_ptr	sys_max_binlog_cache_size(&vars, "max_binlog_cache_size",
-						  &max_binlog_cache_size);
+                                                  &max_binlog_cache_size);
 static sys_var_long_ptr	sys_max_binlog_size(&vars, "max_binlog_size",
-					    &max_binlog_size,
+                                            &max_binlog_size,
                                             fix_max_binlog_size);
 static sys_var_long_ptr	sys_max_connections(&vars, "max_connections",
-					    &max_connections,
+                                            &max_connections,
                                             fix_max_connections);
 static sys_var_long_ptr	sys_max_connect_errors(&vars, "max_connect_errors",
-					       &max_connect_errors);
-static sys_var_session_ulong	sys_max_error_count(&vars, "max_error_count",
-					    &SV::max_error_count);
+                                               &max_connect_errors);
+static sys_var_session_uint64_t	sys_max_error_count(&vars, "max_error_count",
+                                                  &SV::max_error_count);
 static sys_var_session_uint64_t	sys_max_heap_table_size(&vars, "max_heap_table_size",
-						&SV::max_heap_table_size);
+                                                        &SV::max_heap_table_size);
 static sys_var_session_uint64_t sys_pseudo_thread_id(&vars, "pseudo_thread_id",
                                               &SV::pseudo_thread_id,
                                               0, check_pseudo_thread_id,
                                               sys_var::SESSION_VARIABLE_IN_BINLOG);
 static sys_var_session_ha_rows	sys_max_join_size(&vars, "max_join_size",
-					  &SV::max_join_size,
-					  fix_max_join_size);
-static sys_var_session_ulong	sys_max_seeks_for_key(&vars, "max_seeks_for_key",
-					      &SV::max_seeks_for_key);
-static sys_var_session_ulong   sys_max_length_for_sort_data(&vars, "max_length_for_sort_data",
-                                                 &SV::max_length_for_sort_data);
+                                                  &SV::max_join_size,
+                                                  fix_max_join_size);
+static sys_var_session_uint64_t	sys_max_seeks_for_key(&vars, "max_seeks_for_key",
+                                                      &SV::max_seeks_for_key);
+static sys_var_session_uint64_t   sys_max_length_for_sort_data(&vars, "max_length_for_sort_data",
+                                                               &SV::max_length_for_sort_data);
 static sys_var_long_ptr	sys_max_relay_log_size(&vars, "max_relay_log_size",
                                                &max_relay_log_size,
                                                fix_max_relay_log_size);
-static sys_var_session_ulong	sys_max_sort_length(&vars, "max_sort_length",
-					    &SV::max_sort_length);
-static sys_var_session_ulong	sys_max_tmp_tables(&vars, "max_tmp_tables",
-					   &SV::max_tmp_tables);
+static sys_var_session_uint64_t	sys_max_sort_length(&vars, "max_sort_length",
+                                                    &SV::max_sort_length);
+static sys_var_session_uint64_t	sys_max_tmp_tables(&vars, "max_tmp_tables",
+                                                   &SV::max_tmp_tables);
 static sys_var_long_ptr	sys_max_write_lock_count(&vars, "max_write_lock_count",
-						 &max_write_lock_count);
-static sys_var_session_ulong       sys_min_examined_row_limit(&vars, "min_examined_row_limit",
-                                                          &SV::min_examined_row_limit);
+                                                 &max_write_lock_count);
+static sys_var_session_uint64_t sys_min_examined_row_limit(&vars, "min_examined_row_limit",
+                                                           &SV::min_examined_row_limit);
 static sys_var_session_uint64_t	sys_myisam_max_sort_file_size(&vars, "myisam_max_sort_file_size", &SV::myisam_max_sort_file_size, fix_myisam_max_sort_file_size, 1);
-static sys_var_session_ulong       sys_myisam_repair_threads(&vars, "myisam_repair_threads", &SV::myisam_repair_threads);
-static sys_var_session_ulong	sys_myisam_sort_buffer_size(&vars, "myisam_sort_buffer_size", &SV::myisam_sort_buff_size);
+static sys_var_session_uint32_t       sys_myisam_repair_threads(&vars, "myisam_repair_threads", &SV::myisam_repair_threads);
+static sys_var_session_uint64_t	sys_myisam_sort_buffer_size(&vars, "myisam_sort_buffer_size", &SV::myisam_sort_buff_size);
 
 static sys_var_session_enum         sys_myisam_stats_method(&vars, "myisam_stats_method",
-                                                &SV::myisam_stats_method,
-                                                &myisam_stats_method_typelib,
-                                                NULL);
-static sys_var_session_ulong	sys_net_buffer_length(&vars, "net_buffer_length",
-					      &SV::net_buffer_length);
-static sys_var_session_ulong	sys_net_read_timeout(&vars, "net_read_timeout",
-					     &SV::net_read_timeout,
-					     0, fix_net_read_timeout);
-static sys_var_session_ulong	sys_net_write_timeout(&vars, "net_write_timeout",
-					      &SV::net_write_timeout,
-					      0, fix_net_write_timeout);
-static sys_var_session_ulong	sys_net_retry_count(&vars, "net_retry_count",
-					    &SV::net_retry_count,
-					    0, fix_net_retry_count);
+                                                            &SV::myisam_stats_method,
+                                                            &myisam_stats_method_typelib,
+                                                            NULL);
+static sys_var_session_uint32_t	sys_net_buffer_length(&vars, "net_buffer_length",
+                                                      &SV::net_buffer_length);
+static sys_var_session_uint32_t	sys_net_read_timeout(&vars, "net_read_timeout",
+                                                     &SV::net_read_timeout,
+                                                     0, fix_net_read_timeout);
+static sys_var_session_uint32_t	sys_net_write_timeout(&vars, "net_write_timeout",
+                                                      &SV::net_write_timeout,
+                                                      0, fix_net_write_timeout);
+static sys_var_session_uint32_t	sys_net_retry_count(&vars, "net_retry_count",
+                                                    &SV::net_retry_count,
+                                                    0, fix_net_retry_count);
 static sys_var_session_bool	sys_new_mode(&vars, "new", &SV::new_mode);
 static sys_var_bool_ptr_readonly sys_old_mode(&vars, "old",
-                                       &global_system_variables.old_mode);
+                                              &global_system_variables.old_mode);
 /* these two cannot be static */
-sys_var_session_bool                sys_old_alter_table(&vars, "old_alter_table",
-                                            &SV::old_alter_table);
-static sys_var_session_ulong        sys_optimizer_prune_level(&vars, "optimizer_prune_level",
-                                                  &SV::optimizer_prune_level);
-static sys_var_session_ulong        sys_optimizer_search_depth(&vars, "optimizer_search_depth",
-                                                   &SV::optimizer_search_depth);
+sys_var_session_bool sys_old_alter_table(&vars, "old_alter_table",
+                                         &SV::old_alter_table);
+static sys_var_session_bool sys_optimizer_prune_level(&vars, "optimizer_prune_level",
+                                                      &SV::optimizer_prune_level);
+static sys_var_session_uint32_t sys_optimizer_search_depth(&vars, "optimizer_search_depth",
+                                                           &SV::optimizer_search_depth);
 
 const char *optimizer_use_mrr_names[] = {"auto", "force", "disable", NULL};
 TYPELIB optimizer_use_mrr_typelib= {
@@ -285,36 +285,36 @@
   optimizer_use_mrr_names, NULL
 };
 
-static sys_var_session_enum        sys_optimizer_use_mrr(&vars, "optimizer_use_mrr",
-                                              &SV::optimizer_use_mrr,
-                                              &optimizer_use_mrr_typelib,
-                                              NULL);
+static sys_var_session_enum sys_optimizer_use_mrr(&vars, "optimizer_use_mrr",
+                                                  &SV::optimizer_use_mrr,
+                                                  &optimizer_use_mrr_typelib,
+                                                  NULL);
 
-static sys_var_session_ulong        sys_preload_buff_size(&vars, "preload_buffer_size",
-                                              &SV::preload_buff_size);
-static sys_var_session_ulong	sys_read_buff_size(&vars, "read_buffer_size",
-					   &SV::read_buff_size);
+static sys_var_session_uint64_t sys_preload_buff_size(&vars, "preload_buffer_size",
+                                                      &SV::preload_buff_size);
+static sys_var_session_uint32_t sys_read_buff_size(&vars, "read_buffer_size",
+                                                   &SV::read_buff_size);
 static sys_var_opt_readonly	sys_readonly(&vars, "read_only", &opt_readonly);
-static sys_var_session_ulong	sys_read_rnd_buff_size(&vars, "read_rnd_buffer_size",
-					       &SV::read_rnd_buff_size);
-static sys_var_session_ulong	sys_div_precincrement(&vars, "div_precision_increment",
-                                              &SV::div_precincrement);
+static sys_var_session_uint32_t	sys_read_rnd_buff_size(&vars, "read_rnd_buffer_size",
+                                                       &SV::read_rnd_buff_size);
+static sys_var_session_uint32_t	sys_div_precincrement(&vars, "div_precision_increment",
+                                                      &SV::div_precincrement);
 
-static sys_var_session_ulong	sys_range_alloc_block_size(&vars, "range_alloc_block_size",
-						   &SV::range_alloc_block_size);
-static sys_var_session_ulong	sys_query_alloc_block_size(&vars, "query_alloc_block_size",
-						   &SV::query_alloc_block_size,
-						   0, fix_session_mem_root);
-static sys_var_session_ulong	sys_query_prealloc_size(&vars, "query_prealloc_size",
-						&SV::query_prealloc_size,
-						0, fix_session_mem_root);
-static sys_var_readonly        sys_tmpdir(&vars, "tmpdir", OPT_GLOBAL, SHOW_CHAR, get_tmpdir);
-static sys_var_session_ulong	sys_trans_alloc_block_size(&vars, "transaction_alloc_block_size",
-						   &SV::trans_alloc_block_size,
-						   0, fix_trans_mem_root);
-static sys_var_session_ulong	sys_trans_prealloc_size(&vars, "transaction_prealloc_size",
-						&SV::trans_prealloc_size,
-						0, fix_trans_mem_root);
+static sys_var_session_uint64_t	sys_range_alloc_block_size(&vars, "range_alloc_block_size",
+                                                           &SV::range_alloc_block_size);
+static sys_var_session_uint32_t	sys_query_alloc_block_size(&vars, "query_alloc_block_size",
+                                                           &SV::query_alloc_block_size,
+                                                           false, fix_session_mem_root);
+static sys_var_session_uint32_t	sys_query_prealloc_size(&vars, "query_prealloc_size",
+                                                        &SV::query_prealloc_size,
+                                                        false, fix_session_mem_root);
+static sys_var_readonly sys_tmpdir(&vars, "tmpdir", OPT_GLOBAL, SHOW_CHAR, get_tmpdir);
+static sys_var_session_uint32_t	sys_trans_alloc_block_size(&vars, "transaction_alloc_block_size",
+                                                           &SV::trans_alloc_block_size,
+                                                           false, fix_trans_mem_root);
+static sys_var_session_uint32_t	sys_trans_prealloc_size(&vars, "transaction_prealloc_size",
+                                                        &SV::trans_prealloc_size,
+                                                        false, fix_trans_mem_root);
 
 static sys_var_const_str_ptr sys_secure_file_priv(&vars, "secure_file_priv",
                                              &opt_secure_file_priv);
@@ -325,15 +325,10 @@
 						      &opt_slave_compressed_protocol);
 static sys_var_bool_ptr         sys_slave_allow_batching(&vars, "slave_allow_batching",
                                                          &slave_allow_batching);
-static sys_var_set_slave_mode slave_exec_mode(&vars,
-                                              "slave_exec_mode",
-                                              &slave_exec_mode_options,
-                                              &slave_exec_mode_typelib,
-                                              0);
 static sys_var_long_ptr	sys_slow_launch_time(&vars, "slow_launch_time",
-					     &slow_launch_time);
-static sys_var_session_ulong	sys_sort_buffer(&vars, "sort_buffer_size",
-					&SV::sortbuff_size);
+                                             &slow_launch_time);
+static sys_var_session_uint64_t	sys_sort_buffer(&vars, "sort_buffer_size",
+                                                &SV::sortbuff_size);
 /*
   sql_mode should *not* have binlog_mode=SESSION_VARIABLE_IN_BINLOG:
   even though it is written to the binlog, the slave ignores the
@@ -341,7 +336,7 @@
   master's (see log_event.cc: Query_log_event::do_apply_event()).
 */
 static sys_var_session_optimizer_switch   sys_optimizer_switch(&vars, "optimizer_switch",
-                                     &SV::optimizer_switch);
+                                                               &SV::optimizer_switch);
 
 static sys_var_session_storage_engine sys_storage_engine(&vars, "storage_engine",
 				       &SV::table_plugin);
@@ -356,12 +351,12 @@
 static sys_var_long_ptr	sys_thread_cache_size(&vars, "thread_cache_size",
 					      &thread_cache_size);
 sys_var_long_ptr	sys_thread_pool_size(&vars, "thread_pool_size",
-					      &thread_pool_size);
+                                       &thread_pool_size);
 static sys_var_session_enum	sys_tx_isolation(&vars, "tx_isolation",
-					 &SV::tx_isolation,
-					 &tx_isolation_typelib,
-					 fix_tx_isolation,
-					 check_tx_isolation);
+                                             &SV::tx_isolation,
+                                             &tx_isolation_typelib,
+                                             fix_tx_isolation,
+                                             check_tx_isolation);
 static sys_var_session_uint64_t	sys_tmp_table_size(&vars, "tmp_table_size",
 					   &SV::tmp_table_size);
 static sys_var_bool_ptr  sys_timed_mutexes(&vars, "timed_mutexes", &timed_mutexes);
@@ -372,8 +367,8 @@
                                                     MACHINE_TYPE);
 static sys_var_const_str	sys_version_compile_os(&vars, "version_compile_os",
                                                SYSTEM_TYPE);
-static sys_var_session_ulong	sys_net_wait_timeout(&vars, "wait_timeout",
-					     &SV::net_wait_timeout);
+static sys_var_session_uint32_t	sys_net_wait_timeout(&vars, "wait_timeout",
+                                                     &SV::net_wait_timeout);
 
 /* Condition pushdown to storage engine */
 static sys_var_session_bool
@@ -477,16 +472,11 @@
 						  SHOW_LONG,
 						  get_warning_count);
 
-static sys_var_rand_seed1 sys_rand_seed1(&vars, "rand_seed1",
-                                         sys_var::SESSION_VARIABLE_IN_BINLOG);
-static sys_var_rand_seed2 sys_rand_seed2(&vars, "rand_seed2",
-                                         sys_var::SESSION_VARIABLE_IN_BINLOG);
-
-static sys_var_session_ulong        sys_default_week_format(&vars, "default_week_format",
-					                &SV::default_week_format);
-
-sys_var_session_ulong               sys_group_concat_max_len(&vars, "group_concat_max_len",
-                                                         &SV::group_concat_max_len);
+static sys_var_session_uint32_t sys_default_week_format(&vars, "default_week_format",
+                                                        &SV::default_week_format);
+
+sys_var_session_uint64_t sys_group_concat_max_len(&vars, "group_concat_max_len",
+                                                  &SV::group_concat_max_len);
 
 sys_var_session_time_zone sys_time_zone(&vars, "time_zone",
                                     sys_var::SESSION_VARIABLE_IN_BINLOG);
@@ -727,65 +717,6 @@
   }
 }
 
-bool sys_var_set::update(Session *, set_var *var)
-{
-  *value= var->save_result.uint32_t_value;
-  return 0;
-}
-
-unsigned char *sys_var_set::value_ptr(Session *session,
-                              enum_var_type,
-                              LEX_STRING *)
-{
-  char buff[256];
-  String tmp(buff, sizeof(buff), &my_charset_utf8_general_ci);
-  ulong length;
-  ulong val= *value;
-
-  tmp.length(0);
-  for (uint32_t i= 0; val; val>>= 1, i++)
-  {
-    if (val & 1)
-    {
-      tmp.append(enum_names->type_names[i],
-                 enum_names->type_lengths[i]);
-      tmp.append(',');
-    }
-  }
-
-  if ((length= tmp.length()))
-    length--;
-  return (unsigned char*) session->strmake(tmp.ptr(), length);
-}
-
-void sys_var_set_slave_mode::set_default(Session *, enum_var_type)
-{
-  slave_exec_mode_options= 0;
-  bit_do_set(slave_exec_mode_options, SLAVE_EXEC_MODE_STRICT);
-}
-
-bool sys_var_set_slave_mode::check(Session *session, set_var *var)
-{
-  bool rc=  sys_var_set::check(session, var);
-  if (!rc &&
-      bit_is_set(var->save_result.uint32_t_value, SLAVE_EXEC_MODE_STRICT) == 1 &&
-      bit_is_set(var->save_result.uint32_t_value, SLAVE_EXEC_MODE_IDEMPOTENT) == 1)
-  {
-    rc= true;
-    my_error(ER_SLAVE_AMBIGOUS_EXEC_MODE, MYF(0), "");
-  }
-  return rc;
-}
-
-bool sys_var_set_slave_mode::update(Session *session, set_var *var)
-{
-  bool rc;
-  pthread_mutex_lock(&LOCK_global_system_variables);
-  rc= sys_var_set::update(session, var);
-  pthread_mutex_unlock(&LOCK_global_system_variables);
-  return rc;
-}
-
 void fix_slave_exec_mode(enum_var_type)
 {
   if (bit_is_set(slave_exec_mode_options, SLAVE_EXEC_MODE_STRICT) == 1 &&
@@ -889,7 +820,7 @@
 
 
 sys_var_long_ptr::
-sys_var_long_ptr(sys_var_chain *chain, const char *name_arg, ulong *value_ptr_arg,
+sys_var_long_ptr(sys_var_chain *chain, const char *name_arg, uint64_t *value_ptr_arg,
                  sys_after_update_func after_update_arg)
   :sys_var_long_ptr_global(chain, name_arg, value_ptr_arg,
                            &LOCK_global_system_variables, after_update_arg)
@@ -906,7 +837,7 @@
   uint64_t tmp= var->save_result.uint64_t_value;
   pthread_mutex_lock(guard);
   if (option_limits)
-    *value= (ulong) fix_unsigned(session, tmp, option_limits);
+    *value= (uint64_t) fix_unsigned(session, tmp, option_limits);
   else
   {
     if (tmp > UINT32_MAX)
@@ -915,7 +846,7 @@
       throw_bounds_warning(session, true, true, name,
                            (int64_t) var->save_result.uint64_t_value);
     }
-    *value= (ulong) tmp;
+    *value= (uint64_t) tmp;
   }
 
   pthread_mutex_unlock(guard);
@@ -927,7 +858,7 @@
 {
   bool not_used;
   pthread_mutex_lock(guard);
-  *value= (ulong) getopt_ull_limit_value((ulong) option_limits->def_value,
+  *value= (uint64_t) getopt_ull_limit_value((uint64_t) option_limits->def_value,
                                          option_limits, &not_used);
   pthread_mutex_unlock(guard);
 }
@@ -1010,25 +941,28 @@
   return (unsigned char*) enum_names->type_names[global_system_variables.*offset];
 }
 
-bool sys_var_session_ulong::check(Session *session, set_var *var)
+/*
+  32 bit types for session variables 
+*/
+bool sys_var_session_uint32_t::check(Session *session, set_var *var)
 {
   return (get_unsigned(session, var) ||
           (check_func && (*check_func)(session, var)));
 }
 
-bool sys_var_session_ulong::update(Session *session, set_var *var)
+bool sys_var_session_uint32_t::update(Session *session, set_var *var)
 {
   uint64_t tmp= var->save_result.uint64_t_value;
   
   /* Don't use bigger value than given with --maximum-variable-name=.. */
-  if ((ulong) tmp > max_system_variables.*offset)
+  if ((uint32_t) tmp > max_system_variables.*offset)
   {
     throw_bounds_warning(session, true, true, name, (int64_t) tmp);
     tmp= max_system_variables.*offset;
   }
   
   if (option_limits)
-    tmp= (ulong) fix_unsigned(session, tmp, option_limits);
+    tmp= (uint32_t) fix_unsigned(session, tmp, option_limits);
   else if (tmp > UINT32_MAX)
   {
     tmp= UINT32_MAX;
@@ -1036,22 +970,22 @@
   }
   
   if (var->type == OPT_GLOBAL)
-     global_system_variables.*offset= (ulong) tmp;
+     global_system_variables.*offset= (uint32_t) tmp;
    else
-     session->variables.*offset= (ulong) tmp;
+     session->variables.*offset= (uint32_t) tmp;
 
    return 0;
  }
 
 
- void sys_var_session_ulong::set_default(Session *session, enum_var_type type)
+ void sys_var_session_uint32_t::set_default(Session *session, enum_var_type type)
  {
    if (type == OPT_GLOBAL)
    {
      bool not_used;
      /* We will not come here if option_limits is not set */
      global_system_variables.*offset=
-       (ulong) getopt_ull_limit_value((ulong) option_limits->def_value,
+       (uint32_t) getopt_ull_limit_value((uint32_t) option_limits->def_value,
                                       option_limits, &not_used);
    }
    else
@@ -1059,7 +993,7 @@
  }
 
 
-unsigned char *sys_var_session_ulong::value_ptr(Session *session,
+unsigned char *sys_var_session_uint32_t::value_ptr(Session *session,
                                                 enum_var_type type,
                                                 LEX_STRING *)
 {
@@ -1265,7 +1199,7 @@
 					    &not_used));
     if (error_len)
     {
-      strmake(buff, error, cmin(sizeof(buff) - 1, (ulong)error_len));
+      strmake(buff, error, cmin(sizeof(buff) - 1, (uint64_t)error_len));
       goto err;
     }
   }
@@ -1427,7 +1361,7 @@
 void sys_var_session_enum::set_default(Session *session, enum_var_type type)
 {
   if (type == OPT_GLOBAL)
-    global_system_variables.*offset= (ulong) option_limits->def_value;
+    global_system_variables.*offset= (uint32_t) option_limits->def_value;
   else
     session->variables.*offset= global_system_variables.*offset;
 }
@@ -1437,7 +1371,7 @@
                                                enum_var_type type,
                                                LEX_STRING *)
 {
-  ulong tmp= ((type == OPT_GLOBAL) ?
+  uint32_t tmp= ((type == OPT_GLOBAL) ?
 	      global_system_variables.*offset :
 	      session->variables.*offset);
   return (unsigned char*) enum_names->type_names[tmp];
@@ -1823,7 +1757,7 @@
 */
 bool sys_var_key_cache_long::update(Session *session, set_var *var)
 {
-  ulong tmp= (ulong) var->value->val_int();
+  uint64_t tmp= (uint64_t) var->value->val_int();
   LEX_STRING *base_name= &var->base;
   bool error= 0;
 
@@ -1848,8 +1782,8 @@
   if (key_cache->in_init)
     goto end;
 
-  *((ulong*) (((char*) key_cache) + offset))=
-    (ulong) fix_unsigned(session, tmp, option_limits);
+  *((uint64_t*) (((char*) key_cache) + offset))=
+    (uint64_t) fix_unsigned(session, tmp, option_limits);
 
   /*
     Don't create a new key cache if it didn't exist
@@ -1935,52 +1869,6 @@
 }
 
 
-bool sys_var_log_output::update(Session *, set_var *var)
-{
-  pthread_mutex_lock(&LOCK_global_system_variables);
-  logger.lock_exclusive();
-  *value= var->save_result.uint32_t_value;
-  logger.unlock();
-  pthread_mutex_unlock(&LOCK_global_system_variables);
-  return 0;
-}
-
-
-void sys_var_log_output::set_default(Session *, enum_var_type)
-{
-  pthread_mutex_lock(&LOCK_global_system_variables);
-  logger.lock_exclusive();
-  *value= LOG_FILE;
-  logger.unlock();
-  pthread_mutex_unlock(&LOCK_global_system_variables);
-}
-
-
-unsigned char *sys_var_log_output::value_ptr(Session *session,
-                                             enum_var_type, LEX_STRING *)
-{
-  char buff[256];
-  String tmp(buff, sizeof(buff), &my_charset_utf8_general_ci);
-  ulong length;
-  ulong val= *value;
-
-  tmp.length(0);
-  for (uint32_t i= 0; val; val>>= 1, i++)
-  {
-    if (val & 1)
-    {
-      tmp.append(log_output_typelib.type_names[i],
-                 log_output_typelib.type_lengths[i]);
-      tmp.append(',');
-    }
-  }
-
-  if ((length= tmp.length()))
-    length--;
-  return (unsigned char*) session->strmake(tmp.ptr(), length);
-}
-
-
 /*****************************************************************************
   Functions to handle SET NAMES and SET CHARACTER SET
 *****************************************************************************/
@@ -2068,19 +1956,6 @@
 }
 
 
-bool sys_var_rand_seed1::update(Session *session, set_var *var)
-{
-  session->rand.seed1= (ulong) var->save_result.uint64_t_value;
-  return 0;
-}
-
-bool sys_var_rand_seed2::update(Session *session, set_var *var)
-{
-  session->rand.seed2= (ulong) var->save_result.uint64_t_value;
-  return 0;
-}
-
-
 bool sys_var_session_time_zone::check(Session *session, set_var *var)
 {
   char buff[MAX_TIME_ZONE_NAME_LENGTH];
@@ -2893,7 +2768,7 @@
 
 bool
 sys_var_session_optimizer_switch::
-symbolic_mode_representation(Session *session, uint64_t val, LEX_STRING *rep)
+symbolic_mode_representation(Session *session, uint32_t val, LEX_STRING *rep)
 {
   char buff[STRING_BUFFER_USUAL_SIZE*8];
   String tmp(buff, sizeof(buff), &my_charset_utf8_general_ci);

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2008-11-24 06:52:21 +0000
+++ drizzled/set_var.h	2008-11-26 00:27:15 +0000
@@ -39,7 +39,7 @@
 typedef struct my_locale_st MY_LOCALE;
 
 extern TYPELIB bool_typelib, delay_key_write_typelib, sql_mode_typelib,
-  optimizer_switch_typelib, slave_exec_mode_typelib;
+       optimizer_switch_typelib, slave_exec_mode_typelib;
 
 typedef int (*sys_check_func)(Session *,  set_var *);
 typedef bool (*sys_update_func)(Session *, set_var *);
@@ -147,16 +147,16 @@
 
 
 /*
-  A global-only ulong variable that requires its access to be
+  A global-only uint64_t variable that requires its access to be
   protected with a mutex.
 */
 
 class sys_var_long_ptr_global: public sys_var_global
 {
-  ulong *value;
+  uint64_t *value;
 public:
   sys_var_long_ptr_global(sys_var_chain *chain, const char *name_arg,
-                          ulong *value_ptr_arg,
+                          uint64_t *value_ptr_arg,
                           pthread_mutex_t *guard_arg,
                           sys_after_update_func after_update_arg= NULL)
     :sys_var_global(name_arg, after_update_arg, guard_arg),
@@ -174,13 +174,13 @@
 
 
 /*
-  A global ulong variable that is protected by LOCK_global_system_variables
+  A global uint64_t variable that is protected by LOCK_global_system_variables
 */
 
 class sys_var_long_ptr :public sys_var_long_ptr_global
 {
 public:
-  sys_var_long_ptr(sys_var_chain *chain, const char *name_arg, ulong *value_ptr,
+  sys_var_long_ptr(sys_var_chain *chain, const char *name_arg, uint64_t *value_ptr,
                    sys_after_update_func after_update_arg= NULL);
 };
 
@@ -397,10 +397,10 @@
 
 class sys_var_enum_const :public sys_var
 {
-  ulong SV::*offset;
+  uint32_t SV::*offset;
   TYPELIB *enum_names;
 public:
-  sys_var_enum_const(sys_var_chain *chain, const char *name_arg, ulong SV::*offset_arg,
+  sys_var_enum_const(sys_var_chain *chain, const char *name_arg, uint32_t SV::*offset_arg,
       TYPELIB *typelib, sys_after_update_func func)
     :sys_var(name_arg,func), offset(offset_arg), enum_names(typelib)
   { chain_sys_var(chain); }
@@ -434,17 +434,16 @@
   }
 };
 
-
-class sys_var_session_ulong :public sys_var_session
+class sys_var_session_uint32_t :public sys_var_session
 {
   sys_check_func check_func;
 public:
-  ulong SV::*offset;
-  sys_var_session_ulong(sys_var_chain *chain, const char *name_arg,
-                    ulong SV::*offset_arg,
-                    sys_check_func c_func= NULL,
-                    sys_after_update_func au_func= NULL,
-                    Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
+  uint32_t SV::*offset;
+  sys_var_session_uint32_t(sys_var_chain *chain, const char *name_arg,
+                           uint32_t SV::*offset_arg,
+                           sys_check_func c_func= NULL,
+                           sys_after_update_func au_func= NULL,
+                           Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
     :sys_var_session(name_arg, au_func, binlog_status_arg), check_func(c_func),
     offset(offset_arg)
   { chain_sys_var(chain); }
@@ -487,14 +486,16 @@
                            sys_after_update_func au_func= NULL,
                            sys_check_func c_func= NULL,
                            Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
-        :sys_var_session(name_arg, au_func, binlog_status_arg),
-         check_func(c_func),
-         offset(offset_arg)
-            { chain_sys_var(chain); }
-  sys_var_session_uint64_t(sys_var_chain *chain, const char *name_arg, 
-                        uint64_t SV::*offset_arg, 
-			sys_after_update_func func, bool only_global_arg,
-      sys_check_func cfunc= NULL)
+    :sys_var_session(name_arg, au_func, binlog_status_arg),
+    check_func(c_func),
+    offset(offset_arg)
+  { chain_sys_var(chain); }
+  sys_var_session_uint64_t(sys_var_chain *chain, 
+                           const char *name_arg, 
+                           uint64_t SV::*offset_arg, 
+                           sys_after_update_func func, 
+                           bool only_global_arg,
+                           sys_check_func cfunc= NULL)
     :sys_var_session(name_arg, func),
     check_func(cfunc),
     offset(offset_arg),
@@ -543,12 +544,12 @@
 class sys_var_session_enum :public sys_var_session
 {
 protected:
-  ulong SV::*offset;
+  uint32_t SV::*offset;
   TYPELIB *enum_names;
   sys_check_func check_func;
 public:
   sys_var_session_enum(sys_var_chain *chain, const char *name_arg,
-                   ulong SV::*offset_arg, TYPELIB *typelib,
+                   uint32_t SV::*offset_arg, TYPELIB *typelib,
                    sys_after_update_func func= NULL,
                    sys_check_func check= NULL)
     :sys_var_session(name_arg, func), offset(offset_arg),
@@ -575,7 +576,7 @@
 {
 public:
   sys_var_session_optimizer_switch(sys_var_chain *chain, const char *name_arg, 
-                               ulong SV::*offset_arg)
+                                   uint32_t SV::*offset_arg)
     :sys_var_session_enum(chain, name_arg, offset_arg, &optimizer_switch_typelib)
   {}
   bool check(Session *session, set_var *var)
@@ -584,7 +585,7 @@
   }
   void set_default(Session *session, enum_var_type type);
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
-  static bool symbolic_mode_representation(Session *session, uint64_t sql_mode,
+  static bool symbolic_mode_representation(Session *session, uint32_t sql_mode,
                                            LEX_STRING *rep);
 };
 
@@ -678,29 +679,6 @@
 };
 
 
-class sys_var_rand_seed1 :public sys_var
-{
-public:
-  sys_var_rand_seed1(sys_var_chain *chain, const char *name_arg,
-                     Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
-    :sys_var(name_arg, NULL, binlog_status_arg)
-  { chain_sys_var(chain); }
-  bool update(Session *session, set_var *var);
-  bool check_type(enum_var_type type) { return type == OPT_GLOBAL; }
-};
-
-class sys_var_rand_seed2 :public sys_var
-{
-public:
-  sys_var_rand_seed2(sys_var_chain *chain, const char *name_arg,
-                     Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
-    :sys_var(name_arg, NULL, binlog_status_arg)
-  { chain_sys_var(chain); }
-  bool update(Session *session, set_var *var);
-  bool check_type(enum_var_type type) { return type == OPT_GLOBAL; }
-};
-
-
 class sys_var_collation :public sys_var_session
 {
 public:
@@ -844,70 +822,6 @@
   void set_default(Session *session, enum_var_type type);
 };
 
-
-class sys_var_set :public sys_var
-{
-protected:
-  ulong *value;
-  TYPELIB *enum_names;
-public:
-  sys_var_set(sys_var_chain *chain, const char *name_arg, ulong *value_arg,
-              TYPELIB *typelib, sys_after_update_func func)
-    :sys_var(name_arg, func), value(value_arg), enum_names(typelib)
-  { chain_sys_var(chain); }
-  virtual bool check(Session *session, set_var *var)
-  {
-    return check_set(session, var, enum_names);
-  }
-  virtual void set_default(Session *session __attribute__((unused)),
-                           enum_var_type type __attribute__((unused)))
-  {
-    *value= 0;
-  }
-  bool update(Session *session, set_var *var);
-  unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
-  bool check_update_type(Item_result type __attribute__((unused)))
-  { return 0; }
-  SHOW_TYPE show_type() { return SHOW_CHAR; }
-};
-
-class sys_var_set_slave_mode :public sys_var_set
-{
-public:
-  sys_var_set_slave_mode(sys_var_chain *chain, const char *name_arg,
-                         ulong *value_arg,
-                         TYPELIB *typelib, sys_after_update_func func) :
-    sys_var_set(chain, name_arg, value_arg, typelib, func) {}
-  void set_default(Session *session, enum_var_type type);
-  bool check(Session *session, set_var *var);
-  bool update(Session *session, set_var *var);
-};
-
-class sys_var_log_output :public sys_var
-{
-  ulong *value;
-  TYPELIB *enum_names;
-public:
-  sys_var_log_output(sys_var_chain *chain, const char *name_arg, ulong *value_arg,
-                     TYPELIB *typelib, sys_after_update_func func)
-    :sys_var(name_arg,func), value(value_arg), enum_names(typelib)
-  {
-    chain_sys_var(chain);
-    set_allow_empty_value(false);
-  }
-  virtual bool check(Session *session, set_var *var)
-  {
-    return check_set(session, var, enum_names);
-  }
-  bool update(Session *session, set_var *var);
-  unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
-  bool check_update_type(Item_result type __attribute__((unused)))
-  { return 0; }
-  void set_default(Session *session, enum_var_type type);
-  SHOW_TYPE show_type() { return SHOW_CHAR; }
-};
-
-
 /* Variable that you can only read from */
 
 class sys_var_readonly: public sys_var

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-11-18 22:12:56 +0000
+++ drizzled/slave.cc	2008-11-26 02:43:56 +0000
@@ -29,7 +29,8 @@
 #include <drizzled/replication/mi.h>
 #include <drizzled/replication/rli.h>
 #include <drizzled/replication/replication.h>
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
 #include <mysys/thr_alarm.h>
 #include <libdrizzle/errmsg.h>
 #include <mysys/mysys_err.h>
@@ -1172,13 +1173,6 @@
                                              FN_REFLEN));
   field_list.push_back(new Item_empty_string("Slave_IO_Running", 3));
   field_list.push_back(new Item_empty_string("Slave_SQL_Running", 3));
-  field_list.push_back(new Item_empty_string("Replicate_Do_DB", 20));
-  field_list.push_back(new Item_empty_string("Replicate_Ignore_DB", 20));
-  field_list.push_back(new Item_empty_string("Replicate_Do_Table", 20));
-  field_list.push_back(new Item_empty_string("Replicate_Ignore_Table", 23));
-  field_list.push_back(new Item_empty_string("Replicate_Wild_Do_Table", 24));
-  field_list.push_back(new Item_empty_string("Replicate_Wild_Ignore_Table",
-                                             28));
   field_list.push_back(new Item_return_int("Last_Errno", 4, DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_empty_string("Last_Error", 20));
   field_list.push_back(new Item_return_int("Skip_Counter", 10,
@@ -1231,19 +1225,6 @@
     protocol->store(mi->slave_running == DRIZZLE_SLAVE_RUN_CONNECT ?
                     "Yes" : "No", &my_charset_bin);
     protocol->store(mi->rli.slave_running ? "Yes":"No", &my_charset_bin);
-    protocol->store(rpl_filter->get_do_db());
-    protocol->store(rpl_filter->get_ignore_db());
-
-    char buf[256];
-    String tmp(buf, sizeof(buf), &my_charset_bin);
-    rpl_filter->get_do_table(&tmp);
-    protocol->store(&tmp);
-    rpl_filter->get_ignore_table(&tmp);
-    protocol->store(&tmp);
-    rpl_filter->get_wild_do_table(&tmp);
-    protocol->store(&tmp);
-    rpl_filter->get_wild_ignore_table(&tmp);
-    protocol->store(&tmp);
 
     protocol->store(mi->rli.last_error().number);
     protocol->store(mi->rli.last_error().message, &my_charset_bin);
@@ -1800,7 +1781,7 @@
           }
         }
         else
-          sql_print_error(_("Slave SQL thread retried transaction %lu time(s) "
+          sql_print_error(_("Slave SQL thread retried transaction %"PRIu64" time(s) "
                             "in vain, giving up. Consider raising the value of "
                             "the slave_transaction_retries variable."),
                           slave_trans_retries);
@@ -2077,7 +2058,7 @@
         switch (drizzle_error_number) {
         case CR_NET_PACKET_TOO_LARGE:
           sql_print_error(_("Log entry on master is longer than "
-                            "max_allowed_packet (%ld) on "
+                            "max_allowed_packet (%u) on "
                             "slave. If the entry is correct, restart the "
                             "server with a higher value of "
                             "max_allowed_packet"),
@@ -2475,11 +2456,6 @@
   if (unlikely(!cev->is_valid()))
     return(1);
 
-  if (!rpl_filter->db_ok(cev->db))
-  {
-    skip_load_data_infile(net);
-    return(0);
-  }
   assert(cev->inited_from_old);
   session->file_id = cev->file_id = mi->file_id++;
   session->server_id = cev->server_id;

=== modified file 'drizzled/slave.h'
--- drizzled/slave.h	2008-11-11 01:17:35 +0000
+++ drizzled/slave.h	2008-11-25 15:24:22 +0000
@@ -35,7 +35,8 @@
 
 #include <drizzled/log.h>
 #include <mysys/my_list.h>
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
 #include <drizzled/replication/tblmap.h>
 
 

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-11-24 22:07:28 +0000
+++ drizzled/sql_parse.cc	2008-11-25 15:24:22 +0000
@@ -16,7 +16,8 @@
 #define DRIZZLE_LEX 1
 #include <drizzled/server_includes.h>
 #include <drizzled/replication/replication.h>
-#include <drizzled/replication/filter.h>
+#include <libdrizzle/libdrizzle.h>
+#include <mysys/hash.h>
 #include <drizzled/replication/binlog.h>
 #include <drizzled/logging.h>
 #include <drizzled/db.h>
@@ -134,10 +135,9 @@
 /**
   Returns true if all tables should be ignored.
 */
-inline bool all_tables_not_ok(Session *session, TableList *tables)
+inline bool all_tables_not_ok(Session *, TableList *)
 {
-  return rpl_filter->is_on() && tables &&
-         !rpl_filter->tables_ok(session->db, tables);
+  return false;
 }
 
 
@@ -2073,20 +2073,6 @@
       my_error(ER_WRONG_DB_NAME, MYF(0), lex->name.str);
       break;
     }
-    /*
-      If in a slave thread :
-      CREATE DATABASE DB was certainly not preceded by USE DB.
-      For that reason, db_ok() in sql/slave.cc did not check the
-      do_db/ignore_db. And as this query involves no tables, tables_ok()
-      above was not called. So we have to check rules again here.
-    */
-    if (session->slave_thread && 
-	(!rpl_filter->db_ok(lex->name.str) ||
-	 !rpl_filter->db_ok_with_wild_table(lex->name.str)))
-    {
-      my_message(ER_SLAVE_IGNORED_TABLE, ER(ER_SLAVE_IGNORED_TABLE), MYF(0));
-      break;
-    }
     res= mysql_create_db(session,(lower_case_table_names == 2 ? alias :
                               lex->name.str), &create_info, 0);
     break;
@@ -2103,20 +2089,6 @@
       my_error(ER_WRONG_DB_NAME, MYF(0), lex->name.str);
       break;
     }
-    /*
-      If in a slave thread :
-      DROP DATABASE DB may not be preceded by USE DB.
-      For that reason, maybe db_ok() in sql/slave.cc did not check the 
-      do_db/ignore_db. And as this query involves no tables, tables_ok()
-      above was not called. So we have to check rules again here.
-    */
-    if (session->slave_thread && 
-	(!rpl_filter->db_ok(lex->name.str) ||
-	 !rpl_filter->db_ok_with_wild_table(lex->name.str)))
-    {
-      my_message(ER_SLAVE_IGNORED_TABLE, ER(ER_SLAVE_IGNORED_TABLE), MYF(0));
-      break;
-    }
     if (session->locked_tables || session->active_transaction())
     {
       my_message(ER_LOCK_OR_ACTIVE_TRANSACTION,
@@ -2135,20 +2107,6 @@
       my_error(ER_WRONG_DB_NAME, MYF(0), db->str);
       break;
     }
-    /*
-      If in a slave thread :
-      ALTER DATABASE DB may not be preceded by USE DB.
-      For that reason, maybe db_ok() in sql/slave.cc did not check the
-      do_db/ignore_db. And as this query involves no tables, tables_ok()
-      above was not called. So we have to check rules again here.
-    */
-    if (session->slave_thread &&
-	(!rpl_filter->db_ok(db->str) ||
-	 !rpl_filter->db_ok_with_wild_table(db->str)))
-    {
-      my_message(ER_SLAVE_IGNORED_TABLE, ER(ER_SLAVE_IGNORED_TABLE), MYF(0));
-      break;
-    }
     if (session->locked_tables || session->active_transaction())
     {
       my_message(ER_LOCK_OR_ACTIVE_TRANSACTION,

=== modified file 'mysys/my_getopt.cc'
--- mysys/my_getopt.cc	2008-11-26 05:12:21 +0000
+++ mysys/my_getopt.cc	2008-11-26 09:40:45 +0000
@@ -609,10 +609,10 @@
       *((bool*) result_pos)= (bool) atoi(argument) != 0;
       break;
     case GET_INT:
-      *((int*) result_pos)= (int) getopt_ll(argument, opts, &err);
+      *((int32_t*) result_pos)= (int) getopt_ll(argument, opts, &err);
       break;
     case GET_UINT:
-      *((uint*) result_pos)= (uint) getopt_ull(argument, opts, &err);
+      *((uint32_t*) result_pos)= (uint) getopt_ull(argument, opts, &err);
       break;
     case GET_LONG:
       *((long*) result_pos)= (long) getopt_ll(argument, opts, &err);

=== modified file 'mysys/thr_lock.cc'
--- mysys/thr_lock.cc	2008-11-07 00:35:38 +0000
+++ mysys/thr_lock.cc	2008-11-26 02:43:56 +0000
@@ -91,12 +91,12 @@
 
 bool thr_lock_inited=0;
 uint32_t locks_immediate = 0L, locks_waited = 0L;
-ulong table_lock_wait_timeout;
+uint64_t table_lock_wait_timeout;
 enum thr_lock_type thr_upgraded_concurrent_insert_lock = TL_WRITE;
 
 
 LIST *thr_lock_thread_list;			/* List of threads in use */
-ulong max_write_lock_count= ~(ulong) 0L;
+uint64_t max_write_lock_count= ~(uint64_t) 0L;
 
 static inline pthread_cond_t *get_cond(void)
 {

=== modified file 'mysys/thr_lock.h'
--- mysys/thr_lock.h	2008-10-29 14:15:34 +0000
+++ mysys/thr_lock.h	2008-11-26 02:43:56 +0000
@@ -30,8 +30,8 @@
 extern pthread_mutex_t THR_LOCK_lock;
 
 
-extern ulong max_write_lock_count;
-extern ulong table_lock_wait_timeout;
+extern uint64_t max_write_lock_count;
+extern uint64_t table_lock_wait_timeout;
 extern bool thr_lock_inited;
 extern enum thr_lock_type thr_upgraded_concurrent_insert_lock;
 

=== modified file 'tests/r/func_math.result'
--- tests/r/func_math.result	2008-10-09 20:12:03 +0000
+++ tests/r/func_math.result	2008-11-25 22:41:32 +0000
@@ -95,10 +95,6 @@
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
 Warnings:
 Note	1003	select pow(10,log10(10)) AS `pow(10,log10(10))`,pow(2,4) AS `power(2,4)`
-set @@rand_seed1=10000000,@@rand_seed2=1000000;
-select rand(999999),rand();
-rand(999999)	rand()
-0.014231365187309091	0.028870999839968048
 explain extended select rand(999999),rand();
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used

=== renamed file 'tests/r/☃.result' => 'tests/r/snowman.result'
=== modified file 'tests/t/func_math.test'
--- tests/t/func_math.test	2008-10-09 20:02:10 +0000
+++ tests/t/func_math.test	2008-11-25 22:41:32 +0000
@@ -27,8 +27,6 @@
 explain extended select log10(100),log10(18),log10(-4),log10(0),log10(NULL);
 select pow(10,log10(10)),power(2,4);
 explain extended select pow(10,log10(10)),power(2,4);
-set @@rand_seed1=10000000,@@rand_seed2=1000000;
-select rand(999999),rand();
 explain extended select rand(999999),rand();
 select pi(),format(sin(pi()/2),6),format(cos(pi()/2),6),format(abs(tan(pi())),6),format(cot(1),6),format(asin(1),6),format(acos(0),6),format(atan(1),6);
 explain extended select pi(),format(sin(pi()/2),6),format(cos(pi()/2),6),format(abs(tan(pi())),6),format(cot(1),6),format(asin(1),6),format(acos(0),6),format(atan(1),6);

=== removed file 'tests/t/lock_tables_lost_commit-master.opt'
--- tests/t/lock_tables_lost_commit-master.opt	2008-06-25 05:29:13 +0000
+++ tests/t/lock_tables_lost_commit-master.opt	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
---binlog-ignore-db=test

=== renamed file 'tests/t/☃.test' => 'tests/t/snowman.test'
=== modified file 'tests/t/variables.test'
--- tests/t/variables.test	2008-10-02 19:18:43 +0000
+++ tests/t/variables.test	2008-11-25 22:41:32 +0000
@@ -11,7 +11,6 @@
 set @my_binlog_cache_size         =@@global.binlog_cache_size;
 set @my_connect_timeout           =@@global.connect_timeout;
 set @my_flush                     =@@global.flush;
-set @my_flush_time                =@@global.flush_time;
 set @my_key_buffer_size           =@@global.key_buffer_size;
 set @my_max_binlog_cache_size     =@@global.max_binlog_cache_size;
 set @my_max_binlog_size           =@@global.max_binlog_size;
@@ -19,11 +18,9 @@
 set @my_max_connections           =@@global.max_connections;
 set @my_max_heap_table_size       =@@global.max_heap_table_size;
 set @my_max_join_size             =@@global.max_join_size;
-set @my_myisam_data_pointer_size  =@@global.myisam_data_pointer_size;
 set @my_net_buffer_length         =@@global.net_buffer_length;
 set @my_net_write_timeout         =@@global.net_write_timeout;
 set @my_net_read_timeout          =@@global.net_read_timeout;
-set @my_rpl_recovery_rank         =@@global.rpl_recovery_rank;
 set @my_server_id                 =@@global.server_id;
 set @my_slow_launch_time          =@@global.slow_launch_time;
 set @my_storage_engine            =@@global.storage_engine;
@@ -61,7 +58,7 @@
 # Test problem with WHERE and variables
 #
 
-CREATE TABLE t1 (c_id INT(4) NOT NULL, c_name CHAR(20), c_country CHAR(3), PRIMARY KEY(c_id));
+CREATE TABLE t1 (c_id INT NOT NULL, c_name VARCHAR(250), c_country VARCHAR(250), PRIMARY KEY(c_id));
 INSERT INTO t1 VALUES (1,'Bozo','USA'),(2,'Ronald','USA'),(3,'Kinko','IRE'),(4,'Mr. Floppy','GB');
 SELECT @min_cid:=min(c_id), @max_cid:=max(c_id) from t1;
 SELECT * FROM t1 WHERE c_id=@min_cid OR c_id=@max_cid;
@@ -103,20 +100,6 @@
 select @@IDENTITY,last_insert_id(), @@identity;
 explain extended select @@IDENTITY,last_insert_id(), @@identity;
 
-set big_tables=OFF, big_tables=ON, big_tables=0, big_tables=1, big_tables="OFF", big_tables="ON";
-
-set global concurrent_insert=2;
-show variables like 'concurrent_insert';
-select * from information_schema.session_variables where variable_name like 'concurrent_insert';
-set global concurrent_insert=1;
-show variables like 'concurrent_insert';
-select * from information_schema.session_variables where variable_name like 'concurrent_insert';
-set global concurrent_insert=0;
-show variables like 'concurrent_insert';
-select * from information_schema.session_variables where variable_name like 'concurrent_insert';
-# no global value set global concurrent_insert=DEFAULT;
-select @@concurrent_insert;
-
 set global timed_mutexes=ON;
 show variables like 'timed_mutexes';
 select * from information_schema.session_variables where variable_name like 'timed_mutexes';
@@ -159,14 +142,6 @@
 show variables like 'net_buffer_length';
 select * from information_schema.session_variables where variable_name like 'net_buffer_length';
 
-set character set cp1251_koi8;
-show variables like "character_set_client";
-select * from information_schema.session_variables where variable_name like 'character_set_client';
-select @@timestamp>0;
-
-set @@rand_seed1=10000000,@@rand_seed2=1000000;
-select ROUND(RAND(),5);
-
 show variables like '%alloc%';
 select * from information_schema.session_variables where variable_name like '%alloc%' order by 1;
 set @@range_alloc_block_size=1024*16;
@@ -192,10 +167,6 @@
 
 # The following should give errors
 
---error 1231
-set big_tables=OFFF;
---error 1231
-set big_tables="OFFF";
 --error 1193
 set unknown_variable=1;
 --error 1232
@@ -204,13 +175,9 @@
 set storage_engine=UNKNOWN_TABLE_TYPE;
 --error 1230
 set GLOBAL storage_engine=DEFAULT;
---error 1115
-set character_set_client=UNKNOWN_CHARACTER_SET;
 --error 1273
 set collation_connection=UNKNOWN_COLLATION;
 --error 1231
-set character_set_client=NULL;
---error 1231
 set collation_connection=NULL;
 --error 1228
 set global autocommit=1;
@@ -219,12 +186,6 @@
 --error 1238 
 set @@version='';
 --error 1229
-set @@concurrent_insert=1;
---error 1228
-set @@global.sql_auto_is_null=1;
---error 1238
-select @@global.sql_auto_is_null;
---error 1229
 set myisam_max_sort_file_size=100;
 --error 1231
 set @@SQL_WARNINGS=NULL;
@@ -232,33 +193,21 @@
 # Test setting all variables
 
 set autocommit=1;
-set big_tables=1;
-select @@autocommit, @@big_tables;
+select @@autocommit;
 set global binlog_cache_size=100;
 set bulk_insert_buffer_size=100;
-set character set cp1251_koi8;
-set character set default;
-set @@global.concurrent_insert=1;
 set global connect_timeout=100;
 select @@delay_key_write;
 set global delay_key_write="OFF";
 select @@delay_key_write;
 set global delay_key_write=ALL;
-select @@delay_key_write;
 set global delay_key_write=1;
 select @@delay_key_write;
-set global flush=1;
-set global flush_time=100;
 set insert_id=1;
 set interactive_timeout=100;
 set join_buffer_size=100;
 set last_insert_id=1;
 set global local_infile=1;
-set long_query_time=0.000001;
-select @@long_query_time;
-set long_query_time=100.000001;
-select @@long_query_time;
-set low_priority_updates=1;
 set max_allowed_packet=100;
 set global max_binlog_cache_size=100;
 set global max_binlog_size=100;
@@ -268,8 +217,6 @@
 set max_join_size=100;
 set max_sort_length=100;
 set max_tmp_tables=100;
-set global max_user_connections=100;
-select @@max_user_connections;
 set global max_write_lock_count=100;
 set myisam_sort_buffer_size=100;
 set net_buffer_length=100;
@@ -277,27 +224,13 @@
 set net_write_timeout=100;
 set read_buffer_size=100;
 set read_rnd_buffer_size=100;
-set global rpl_recovery_rank=100;
 set global server_id=100;
 set global slow_launch_time=100;
 set sort_buffer_size=100;
-set @@max_sp_recursion_depth=10;
-select @@max_sp_recursion_depth;
-set @@max_sp_recursion_depth=0;
-select @@max_sp_recursion_depth;
-set sql_auto_is_null=1;
-select @@sql_auto_is_null;
-set @@sql_auto_is_null=0;
-select @@sql_auto_is_null;
 set sql_big_selects=1;
-set sql_big_tables=1;
 set sql_buffer_result=1;
 set sql_log_bin=1;
-set sql_log_off=1;
-set sql_log_update=1;
 set sql_low_priority_updates=1;
-set sql_max_join_size=200;
-select @@sql_max_join_size,@@max_join_size;
 set sql_quote_show_create=1;
 set sql_safe_updates=1;
 set sql_select_limit=1;
@@ -311,8 +244,6 @@
 set tmp_table_size=100;
 set tx_isolation="READ-COMMITTED";
 set wait_timeout=100;
-set log_warnings=1;
-set global log_warnings=1;
 
 #
 # Bugs: #20392: INSERT_ID session variable has weird value
@@ -375,15 +306,15 @@
 #
 # swap
 #
-select @@global.max_user_connections,@@local.max_join_size;
-set @svc=@@global.max_user_connections, @svj=@@local.max_join_size;
-select @@global.max_user_connections,@@local.max_join_size;
-set @@global.max_user_connections=111,@@local.max_join_size=222;
-select @@global.max_user_connections,@@local.max_join_size;
-set @@global.max_user_connections=@@local.max_join_size,@@local.max_join_size=@@global.max_user_connections;
-select @@global.max_user_connections,@@local.max_join_size;
-set @@global.max_user_connections=@svc, @@local.max_join_size=@svj;
-select @@global.max_user_connections,@@local.max_join_size;
+select @@global.myisam_max_sort_file_size,@@local.max_join_size;
+set @svc=@@global.myisam_max_sort_file_size, @svj=@@local.max_join_size;
+select @@global.myisam_max_sort_file_size,@@local.max_join_size;
+set @@global.myisam_max_sort_file_size=111,@@local.max_join_size=222;
+select @@global.myisam_max_sort_file_size,@@local.max_join_size;
+set @@global.myisam_max_sort_file_size=@@local.max_join_size,@@local.max_join_size=@@global.myisam_max_sort_file_size;
+select @@global.myisam_max_sort_file_size,@@local.max_join_size;
+set @@global.myisam_max_sort_file_size=@svc, @@local.max_join_size=@svj;
+select @@global.myisam_max_sort_file_size,@@local.max_join_size;
 set @a=1, @b=2;
 set @a=@b, @b=@a;
 select @a, @b;
@@ -402,20 +333,6 @@
 --error 1064
 SELECT @@global.local.key_buffer_size;
 
-# BUG#5135: cannot turn on log_warnings with SET in 4.1 (and 4.0)
-set @tstlw = @@log_warnings;
-show global variables like 'log_warnings';
-select * from information_schema.global_variables where variable_name like 'log_warnings';
-set global log_warnings = 0;
-show global variables like 'log_warnings';
-select * from information_schema.global_variables where variable_name like 'log_warnings';
-set global log_warnings = 42;
-show global variables like 'log_warnings';
-select * from information_schema.global_variables where variable_name like 'log_warnings';
-set global log_warnings = @tstlw;
-show global variables like 'log_warnings';
-select * from information_schema.global_variables where variable_name like 'log_warnings';
-
 #
 # BUG#4788 show create table provides incorrect statement
 #
@@ -423,7 +340,7 @@
 create table t1 (
   c1 int,
   c2 int,
-  c3 mediumint,
+  c3 int,
   c4 int,
   c5 bigint);
 show create table t1;
@@ -435,19 +352,6 @@
 show create table t1;
 drop table t1;
 
-
-#
-# Bug #6993: myisam_data_pointer_size
-# Wrong bug report, data pointer size must be restricted to 7,
-# setting to 8 will not work on all computers, myisamchk and
-# the server may see a wrong value, such as 0 or negative number
-# if 8 bytes is set.
-#
-
-SET GLOBAL MYISAM_DATA_POINTER_SIZE= 7;
-SHOW VARIABLES LIKE 'MYISAM_DATA_POINTER_SIZE';
-SELECT * FROM INFORMATION_SCHEMA.SESSION_VARIABLES WHERE VARIABLE_NAME LIKE 'MYISAM_DATA_POINTER_SIZE';
-
 #
 # Bug #6958: negative arguments to integer options wrap around
 #

